#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(raid5_set_cache_size, "", "");
KSYMTAB_FUNC(r5c_journal_mode_set, "", "");

SYMBOL_CRC(raid5_set_cache_size, 0x77bcf1c2, "");
SYMBOL_CRC(r5c_journal_mode_set, 0x013b05bc, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x825a1d92, "set_disk_ro" },
	{ 0x54640340, "register_md_personality" },
	{ 0xae052c8b, "shrinker_alloc" },
	{ 0xe563d623, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x6853ffac, "__bio_add_page" },
	{ 0x641f6e36, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x424af073, "md_bitmap_resize" },
	{ 0xc333a7f, "radix_tree_insert" },
	{ 0xa3370c83, "kmalloc_large_noprof" },
	{ 0xb5a3e233, "md_find_rdev_rcu" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x5edebe48, "mddev_resume" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xd33b036, "md_bitmap_start_sync" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xdef84f9f, "radix_tree_lookup" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x19986f50, "md_bitmap_cond_end_sync" },
	{ 0xd9b5a0df, "queue_limits_stack_bdev" },
	{ 0x52ca43ff, "md_error" },
	{ 0x28eedd94, "async_xor_val_offs" },
	{ 0x51473316, "__cpu_present_mask" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x592308b7, "md_bitmap_startwrite" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x317d9664, "md_finish_reshape" },
	{ 0xd955b604, "__traceiter_block_bio_remap" },
	{ 0xef3524d8, "async_gen_syndrome" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xd260d593, "md_unregister_thread" },
	{ 0x18fca024, "sync_page_io" },
	{ 0x11674a8c, "md_bitmap_close_sync" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x52d443ac, "md_free_cloned_bio" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0xd32a771a, "kmem_cache_create" },
	{ 0x28f21976, "kthread_park" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x6f79375c, "mempool_free" },
	{ 0x49672828, "node_states" },
	{ 0xb072dc8c, "kernfs_notify" },
	{ 0x16139f59, "shrinker_free" },
	{ 0x3729912d, "kvmalloc_node_noprof" },
	{ 0x9d3d6505, "md_wakeup_thread" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x83e1270e, "__cpuhp_state_remove_instance" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x5bb6772f, "md_set_array_sectors" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xcb0acd31, "md_allow_write" },
	{ 0xa3bf0fbe, "rdev_clear_badblocks" },
	{ 0xf258142c, "radix_tree_lookup_slot" },
	{ 0x883ca603, "async_tx_quiesce" },
	{ 0x49cc541b, "md_write_start" },
	{ 0xbc86811b, "blk_queue_flag_set" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0x438bd318, "shrinker_register" },
	{ 0x5d16d8cd, "radix_tree_replace_slot" },
	{ 0x6686c0e3, "async_xor" },
	{ 0xbdc39498, "__free_pages" },
	{ 0x15d0cf83, "async_xor_offs" },
	{ 0x71cb4848, "blk_finish_plug" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x59e796d8, "submit_bio" },
	{ 0x5a900f72, "blk_queue_flag_clear" },
	{ 0x581c712d, "sysfs_create_link" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x733f297b, "kthread_unpark" },
	{ 0x5462af5d, "bioset_exit" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x47e0010b, "md_done_sync" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x766beed8, "mempool_alloc_noprof" },
	{ 0xf8a7cca, "bio_put" },
	{ 0xf1d992eb, "radix_tree_delete" },
	{ 0xf8c821a5, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x5abcd3c4, "md_wait_for_blocked_rdev" },
	{ 0xb99c72e2, "__cpuhp_setup_state" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x944c2c97, "async_memcpy" },
	{ 0xdc799a3e, "mddev_update_io_opt" },
	{ 0xdda81855, "submit_bio_noacct" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xe93c7fb8, "mddev_stack_rdev_limits" },
	{ 0x7c6c37fd, "kmem_cache_free" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x85abc85f, "strncmp" },
	{ 0x1c9c063f, "mddev_unlock" },
	{ 0x5d85bb62, "__tracepoint_block_unplug" },
	{ 0x7d0fe35d, "bio_chain" },
	{ 0x171fa86a, "__blk_trace_note_message" },
	{ 0x8cf8d446, "__traceiter_block_unplug" },
	{ 0x3bd2a6c1, "blkdev_issue_zeroout" },
	{ 0x59ffcda6, "__cpuhp_state_add_instance" },
	{ 0x31adb1a2, "async_trigger_callback" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x32afbd83, "async_raid6_2data_recov" },
	{ 0x6b56b60, "bio_add_page" },
	{ 0x67e2cefe, "md_bitmap_end_sync" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa901b0f2, "md_update_sb" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xb32df0c7, "sysfs_create_group" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0x5ff3b94f, "blk_set_stacking_limits" },
	{ 0xda6fa05c, "_atomic_dec_and_lock_irqsave" },
	{ 0x28af8cc1, "md_flush_request" },
	{ 0x5e8afe16, "bio_init" },
	{ 0xe3825645, "md_register_thread" },
	{ 0x19c77af7, "bio_alloc_clone" },
	{ 0x3e193101, "raid6_call" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x2fd6a089, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x83db290b, "md_account_bio" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x4f06544e, "md_write_inc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0xb9d2376d, "unregister_md_personality" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0xdacf1620, "md_bitmap_unplug" },
	{ 0x3a9bb4f, "bio_uninit" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x51fa5983, "param_ops_bool" },
	{ 0x64d7da46, "bioset_init" },
	{ 0xe6e6b684, "md_new_event" },
	{ 0xc1d4d5e9, "async_syndrome_val" },
	{ 0xe091c977, "list_sort" },
	{ 0xaa19dfdc, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9b7220ad, "seq_printf" },
	{ 0x6b879675, "md_write_end" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x1b5237f6, "md_check_recovery" },
	{ 0xaba88dad, "md_bitmap_endwrite" },
	{ 0xe00db6dc, "__tracepoint_block_bio_remap" },
	{ 0x276f13db, "alloc_pages_noprof" },
	{ 0x1382d2ad, "blkdev_issue_flush" },
	{ 0xdda16071, "mddev_suspend" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x23af857f, "kmalloc_trace_noprof" },
	{ 0x4c1746ed, "badblocks_check" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x7efa5ba3, "mempool_init_noprof" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x730a141, "queue_limits_set" },
	{ 0x7be06e4, "rdev_set_badblocks" },
	{ 0xae5ee1d8, "bio_alloc_bioset" },
	{ 0x6f001887, "async_raid6_datap_recov" },
	{ 0x7800d81b, "submit_bio_wait" },
	{ 0xf595c4d0, "__cpuhp_remove_state" },
	{ 0xefc936df, "kmalloc_caches" },
	{ 0xc904c5b, "mempool_exit" },
	{ 0x3de3151d, "kmem_cache_destroy" },
	{ 0x5d06d4a1, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x395b8963, "blkdev_issue_discard" },
	{ 0x2ba967f7, "module_layout" },
};

MODULE_INFO(depends, "async_xor,async_pq,async_tx,async_memcpy,async_raid6_recov,raid6_pq");


MODULE_INFO(srcversion, "03C5679B68CFCB1834A8813");
MODULE_INFO(rhelversion, "10.0");
