#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa0c1066b, "devl_rate_leaf_create" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x23500a9, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xcc83fe5e, "bpf_offload_dev_netdev_register" },
	{ 0xc0076b30, "devl_region_create" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x9fb41842, "netdev_offload_xstats_report_delta" },
	{ 0x2a792901, "netif_set_real_num_queues" },
	{ 0x9be4da49, "eth_mac_addr" },
	{ 0xda9db521, "skb_put" },
	{ 0x173a157a, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xa3370c83, "kmalloc_large_noprof" },
	{ 0x86871b40, "devlink_info_version_stored_put_ext" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x9905e19f, "register_fib_notifier" },
	{ 0xafa60cec, "debugfs_real_fops" },
	{ 0x7dd383d0, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x4ff8c631, "netif_napi_add_weight" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x778e5a9e, "devlink_region_snapshot_id_get" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0x305bca49, "devl_lock" },
	{ 0xccabfb49, "device_unregister" },
	{ 0x292057f9, "debugfs_create_symlink" },
	{ 0x34c2c460, "skb_dequeue" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x7640bd51, "debugfs_create_u16" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x470c1b90, "rtnl_link_register" },
	{ 0xd2d88506, "netdev_offload_xstats_report_used" },
	{ 0xbcde49e7, "devlink_port_attrs_set" },
	{ 0x3f552294, "rtnl_offload_xstats_notify" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x236c8c64, "memcpy" },
	{ 0xc958aa5a, "psample_sample_packet" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xfa7d2174, "devlink_alloc_ns" },
	{ 0x15e9db04, "devl_rate_leaf_destroy" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0xe1cfbb85, "seq_lseek" },
	{ 0xaf95c77, "page_pool_destroy" },
	{ 0xe7f52552, "devlink_free" },
	{ 0x58f1f40, "eth_validate_addr" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x8e64917d, "udp_tunnel_nic_ops" },
	{ 0xbaecfa15, "devl_rate_nodes_destroy" },
	{ 0x3f2196cc, "__netif_napi_del" },
	{ 0xd02e5e94, "unregister_netdevice_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xd7e1c5e1, "kstrtobool_from_user" },
	{ 0x2746234e, "ether_setup" },
	{ 0xacb76e70, "netdev_err" },
	{ 0x91572137, "netdev_offload_xstats_enabled" },
	{ 0x87fcab48, "hex2bin" },
	{ 0xc381d6bd, "register_netdevice_notifier_net" },
	{ 0x90cf09ba, "devlink_flash_update_status_notify" },
	{ 0x77489077, "skb_queue_purge_reason" },
	{ 0x97c9b2fb, "dev_addr_mod" },
	{ 0x3729912d, "kvmalloc_node_noprof" },
	{ 0x7a5b6462, "napi_complete_done" },
	{ 0xd34c538b, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xa0dd5edd, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x24e548af, "fib6_info_hw_flags_set" },
	{ 0xbaa24d8e, "priv_to_devlink" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x81a6c4be, "nexthop_res_grp_activity_update" },
	{ 0x8ab973a3, "put_device" },
	{ 0x2c83a07, "__napi_schedule" },
	{ 0x8ed915b6, "devl_resource_size_get" },
	{ 0xc1a43c32, "devl_resource_occ_get_unregister" },
	{ 0x8808964c, "__alloc_skb" },
	{ 0xefbf6385, "devlink_is_reload_failed" },
	{ 0x4ac016f5, "devl_resource_register" },
	{ 0x2e54dbbe, "bpf_verifier_log_write" },
	{ 0xbe33f1c0, "skb_queue_tail" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0x71b81966, "devlink_net" },
	{ 0x99a7eb36, "free_fib_info" },
	{ 0x72760b87, "devl_health_reporter_create" },
	{ 0x30af7dc9, "flow_block_cb_setup_simple" },
	{ 0x800473f, "__cond_resched" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0x352ec68b, "bpf_offload_dev_destroy" },
	{ 0x3d77d05b, "__dev_get_by_index" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x20acdeb0, "rtnl_link_unregister" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0x5af0717e, "bus_unregister" },
	{ 0x977f5420, "devlink_flash_update_timeout_notify" },
	{ 0x3669db74, "_dev_err" },
	{ 0x4d4bfcf, "debugfs_create_bool" },
	{ 0xe913efcb, "simple_open" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0x358715d, "dev_get_by_index" },
	{ 0xb10594bd, "devl_port_register_with_ops" },
	{ 0x929e4028, "devlink_fmsg_u32_put" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xa987595e, "debugfs_remove" },
	{ 0xadea46a6, "napi_enable" },
	{ 0x23fff604, "unregister_netdevice_notifier_net" },
	{ 0x2551d63a, "netif_receive_skb" },
	{ 0x4d4a530d, "unregister_fib_notifier" },
	{ 0x9f66ecef, "psample_group_get" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0x2e54d383, "debugfs_create_u64" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x19534ef9, "driver_unregister" },
	{ 0x8aa6dec1, "free_netdev" },
	{ 0x27d5284b, "devl_params_register" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x8c9e54d3, "devlink_info_version_running_put_ext" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xdc62fe37, "device_register" },
	{ 0x11baefab, "devl_trylock" },
	{ 0x30696079, "rhashtable_free_and_destroy" },
	{ 0x46701f3a, "page_pool_create" },
	{ 0xb5195143, "devl_param_driverinit_value_set" },
	{ 0x60cf0d39, "kstrtoint_from_user" },
	{ 0x1fea193, "devl_trap_policers_unregister" },
	{ 0x85e68edc, "debugfs_create_u32_array" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x4b1f8c6d, "devl_resources_unregister" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0x125873f7, "devl_trap_groups_register" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x6165af45, "debugfs_create_u32" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0xa709c835, "fib6_info_destroy_rcu" },
	{ 0xeac71c93, "devl_params_unregister" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x32a9d989, "nexthop_set_hw_flags" },
	{ 0x5eed7331, "devlink_trap_report" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0x30c2a098, "fib_alias_hw_flags_set" },
	{ 0x75f4fcab, "devl_traps_register" },
	{ 0xbf8a3509, "devl_unlock" },
	{ 0xcf522dbe, "__dynamic_netdev_dbg" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x75730388, "seq_read" },
	{ 0x19f3af41, "__put_net" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf2effca4, "xdp_attachment_setup" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x2f4068c2, "debugfs_create_file" },
	{ 0x4dcd4340, "rhashtable_init_noprof" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xbb9d0dc5, "bin2hex" },
	{ 0xa8432e90, "psample_group_put" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x45d3c773, "memdup_user_nul" },
	{ 0xe54bf996, "netif_queue_set_napi" },
	{ 0xbe54c9ca, "devl_port_unregister" },
	{ 0xaf8fb32d, "page_pool_alloc_pages" },
	{ 0x42bb4cf7, "devl_param_driverinit_value_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2528795b, "netif_carrier_off" },
	{ 0x9b7220ad, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x46b1a7c4, "devlink_priv" },
	{ 0x4fa20e88, "bpf_offload_dev_netdev_unregister" },
	{ 0xaaaadcb0, "unregister_nexthop_notifier" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x3106f48c, "nexthop_bucket_set_hw_flags" },
	{ 0x46820ff0, "register_nexthop_notifier" },
	{ 0xd0fb0bf8, "single_release" },
	{ 0x1b6314fd, "in_aton" },
	{ 0xbdb4a7bd, "__dev_forward_skb" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5b35986c, "bpf_offload_dev_create" },
	{ 0x23af857f, "kmalloc_trace_noprof" },
	{ 0x1f563160, "bpf_offload_dev_priv" },
	{ 0x224058d7, "devl_resource_occ_get_register" },
	{ 0x14ee89ad, "napi_schedule_prep" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0x503abebe, "napi_disable" },
	{ 0x147377a6, "dev_kfree_skb_any_reason" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x4aa4cd5a, "devl_trap_policers_register" },
	{ 0xb067d218, "single_open" },
	{ 0x6417cf3, "devl_register" },
	{ 0x57a6c1cf, "debugfs_create_dir" },
	{ 0xca770df8, "generic_file_llseek" },
	{ 0x5a5e7ea3, "simple_read_from_buffer" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xbd22e7c8, "netdev_offload_xstats_push_delta" },
	{ 0xe884db8e, "skb_clone_tx_timestamp" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xd64e22b8, "driver_register" },
	{ 0x5e68f636, "get_net_ns_by_fd" },
	{ 0x69cfed2a, "devl_trap_groups_unregister" },
	{ 0xf9a482f9, "msleep" },
	{ 0x35631497, "devl_traps_unregister" },
	{ 0xefc936df, "kmalloc_caches" },
	{ 0xec401935, "netdev_info" },
	{  0xf8bd3, "bus_register" },
	{ 0x15e332ce, "page_pool_put_unrefed_page" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x85ec9cdb, "register_netdevice" },
	{ 0x2ba967f7, "module_layout" },
};

MODULE_INFO(depends, "psample");


MODULE_INFO(srcversion, "DC2E518ED6AF011DF827582");
MODULE_INFO(rhelversion, "10.0");
