#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa57c61a2, "kvm_arch_crypto_clear_masks" },
	{ 0xe563d623, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x77fcf498, "vfio_pin_pages" },
	{ 0xe29783dd, "dev_set_name" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xaf8a4a7f, "vfio_set_irqs_validate_and_prepare" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xccabfb49, "device_unregister" },
	{ 0xbef53f33, "scnprintf" },
	{ 0xea872313, "find_next_bit_inv" },
	{ 0x7b2c6d51, "debug_set_level" },
	{ 0x9f4efc96, "debug_register" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x6cca3007, "kvm_s390_gisc_register" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x4e375628, "kvm_put_kvm" },
	{ 0xa1d5979b, "find_first_bit_inv" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x92997ed8, "_printk" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x8ab973a3, "put_device" },
	{ 0xe4750a40, "root_device_unregister" },
	{ 0xd4fd7416, "vfio_iommufd_emulated_attach_ioas" },
	{ 0xd1ad6d38, "uv_pin_shared" },
	{ 0x98abdb00, "ap_hex2bitmap" },
	{ 0x507b25d0, "kstrndup" },
	{ 0xdc894a1b, "kvm_s390_pv_cpu_is_protected" },
	{ 0x14fe6611, "kvm_arch_crypto_set_masks" },
	{ 0x5af0717e, "bus_unregister" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0x94312ab3, "__root_device_register" },
	{ 0x63834d3f, "vfio_iommufd_emulated_detach_ioas" },
	{ 0x19951d27, "mdev_unregister_driver" },
	{ 0x98d9cbc3, "vfio_unpin_pages" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xe2a4f540, "vfio_unregister_group_dev" },
	{ 0x19534ef9, "driver_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0xb32df0c7, "sysfs_create_group" },
	{ 0xae862b6c, "__debug_sprintf_event" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xdc62fe37, "device_register" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xe2080186, "device_del" },
	{ 0x706ee333, "_dev_warn" },
	{ 0x687cdd8a, "gmap_convert_to_secure" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xd3ab7357, "ap_driver_unregister" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xfd9a9866, "stfle_fac_list" },
	{ 0xa8e19ff6, "vfio_iommufd_emulated_bind" },
	{ 0x3ca167de, "vfio_iommufd_emulated_unbind" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x701057fa, "sysfs_remove_group" },
	{ 0x20550986, "debug_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x276dd0f3, "vfio_register_emulated_iommu_dev" },
	{ 0x4a3071a9, "_dev_notice" },
	{ 0x85df9b6c, "strsep" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xbdf6c524, "ap_get_qdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5003d52a, "ap_perms_mutex" },
	{ 0x2970c69c, "mdev_register_driver" },
	{ 0x47af351e, "gfn_to_hva" },
	{ 0x5203dae, "ap_driver_register" },
	{ 0x23af857f, "kmalloc_trace_noprof" },
	{ 0x349dd3c8, "kvm_s390_gisc_unregister" },
	{ 0xb53053af, "debug_sprintf_view" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0xd08ce6d8, "debug_register_view" },
	{ 0x565ca1d6, "mdev_register_parent" },
	{ 0x730b096c, "ap_apqn_in_matrix_owned_by_def_drv" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xd64e22b8, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7f7f0c3d, "_vfio_alloc_device" },
	{ 0xabab279, "kvm_get_kvm" },
	{ 0xefc936df, "kmalloc_caches" },
	{  0xf8bd3, "bus_register" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6945c8ae, "mdev_unregister_parent" },
	{ 0x2ba967f7, "module_layout" },
};

MODULE_INFO(depends, "kvm,vfio,mdev");


MODULE_INFO(srcversion, "3551B2B65980462A161FD36");
MODULE_INFO(rhelversion, "10.0");
