#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iscsi_conn_queue_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_queue_recv, "_gpl", "");
KSYMTAB_FUNC(iscsi_update_cmdsn, "_gpl", "");
KSYMTAB_FUNC(iscsi_prep_data_out_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_task, "_gpl", "");
KSYMTAB_FUNC(__iscsi_put_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_complete_scsi_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_send_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_itt_to_task, "_gpl", "");
KSYMTAB_FUNC(__iscsi_complete_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_complete_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_verify_itt, "_gpl", "");
KSYMTAB_FUNC(iscsi_itt_to_ctask, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_failure, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_failure, "_gpl", "");
KSYMTAB_FUNC(iscsi_requeue_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_queuecommand, "_gpl", "");
KSYMTAB_FUNC(iscsi_target_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_suspend_queue, "_gpl", "");
KSYMTAB_FUNC(iscsi_suspend_tx, "_gpl", "");
KSYMTAB_FUNC(iscsi_suspend_rx, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_cmd_timed_out, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_unbind, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_abort, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_device_reset, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_recovery_timedout, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_session_reset, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_recover_target, "_gpl", "");
KSYMTAB_FUNC(iscsi_pool_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_pool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_get_max_scsi_cmds, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_add, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_remove, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_remove, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_start, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_stop, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_bind, "_gpl", "");
KSYMTAB_FUNC(iscsi_switch_str_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_set_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_get_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_get_addr_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_get_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_get_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_set_param, "_gpl", "");

SYMBOL_CRC(iscsi_conn_queue_xmit, 0x58a3ee57, "_gpl");
SYMBOL_CRC(iscsi_conn_queue_recv, 0x7cc78bd0, "_gpl");
SYMBOL_CRC(iscsi_update_cmdsn, 0x71ceb332, "_gpl");
SYMBOL_CRC(iscsi_prep_data_out_pdu, 0xe1267f25, "_gpl");
SYMBOL_CRC(iscsi_get_task, 0xacf61cc0, "_gpl");
SYMBOL_CRC(__iscsi_put_task, 0x6009a86f, "_gpl");
SYMBOL_CRC(iscsi_put_task, 0x1e4ed632, "_gpl");
SYMBOL_CRC(iscsi_complete_scsi_task, 0x22cd722f, "_gpl");
SYMBOL_CRC(iscsi_conn_send_pdu, 0xa5e30fe2, "_gpl");
SYMBOL_CRC(iscsi_itt_to_task, 0x6c9dc976, "_gpl");
SYMBOL_CRC(__iscsi_complete_pdu, 0x4c43b6c8, "_gpl");
SYMBOL_CRC(iscsi_complete_pdu, 0x0e7aefb9, "_gpl");
SYMBOL_CRC(iscsi_verify_itt, 0xd4c6226c, "_gpl");
SYMBOL_CRC(iscsi_itt_to_ctask, 0x9574cc05, "_gpl");
SYMBOL_CRC(iscsi_session_failure, 0x1351fe55, "_gpl");
SYMBOL_CRC(iscsi_conn_failure, 0xc368eef2, "_gpl");
SYMBOL_CRC(iscsi_requeue_task, 0x5d942bd8, "_gpl");
SYMBOL_CRC(iscsi_queuecommand, 0x6fe94169, "_gpl");
SYMBOL_CRC(iscsi_target_alloc, 0x77afc502, "_gpl");
SYMBOL_CRC(iscsi_suspend_queue, 0xac095e41, "_gpl");
SYMBOL_CRC(iscsi_suspend_tx, 0x25b205a4, "_gpl");
SYMBOL_CRC(iscsi_suspend_rx, 0x59047aea, "_gpl");
SYMBOL_CRC(iscsi_eh_cmd_timed_out, 0xe88977a7, "_gpl");
SYMBOL_CRC(iscsi_conn_unbind, 0xf756526c, "_gpl");
SYMBOL_CRC(iscsi_eh_abort, 0xf15e2aa9, "_gpl");
SYMBOL_CRC(iscsi_eh_device_reset, 0xa3662c50, "_gpl");
SYMBOL_CRC(iscsi_session_recovery_timedout, 0xbd0f7dcf, "_gpl");
SYMBOL_CRC(iscsi_eh_session_reset, 0x4f343c81, "_gpl");
SYMBOL_CRC(iscsi_eh_recover_target, 0x09cd821e, "_gpl");
SYMBOL_CRC(iscsi_pool_init, 0x3bef2f73, "_gpl");
SYMBOL_CRC(iscsi_pool_free, 0x8d303b1b, "_gpl");
SYMBOL_CRC(iscsi_host_get_max_scsi_cmds, 0x4d9e495c, "_gpl");
SYMBOL_CRC(iscsi_host_add, 0x769155ef, "_gpl");
SYMBOL_CRC(iscsi_host_alloc, 0x389cce35, "_gpl");
SYMBOL_CRC(iscsi_host_remove, 0x4000bae6, "_gpl");
SYMBOL_CRC(iscsi_host_free, 0xfe20be21, "_gpl");
SYMBOL_CRC(iscsi_session_setup, 0xac2416af, "_gpl");
SYMBOL_CRC(iscsi_session_remove, 0xbb892a45, "_gpl");
SYMBOL_CRC(iscsi_session_free, 0x23b60a54, "_gpl");
SYMBOL_CRC(iscsi_session_teardown, 0x6b8fd197, "_gpl");
SYMBOL_CRC(iscsi_conn_setup, 0xad609db2, "_gpl");
SYMBOL_CRC(iscsi_conn_teardown, 0x9c4a044e, "_gpl");
SYMBOL_CRC(iscsi_conn_start, 0x9d5aa713, "_gpl");
SYMBOL_CRC(iscsi_conn_stop, 0x14130fb8, "_gpl");
SYMBOL_CRC(iscsi_conn_bind, 0x6d4590a3, "_gpl");
SYMBOL_CRC(iscsi_switch_str_param, 0x12b2ad06, "_gpl");
SYMBOL_CRC(iscsi_set_param, 0xc4fbbdce, "_gpl");
SYMBOL_CRC(iscsi_session_get_param, 0x21917806, "_gpl");
SYMBOL_CRC(iscsi_conn_get_addr_param, 0xeab9cbd5, "_gpl");
SYMBOL_CRC(iscsi_conn_get_param, 0x7ed50a76, "_gpl");
SYMBOL_CRC(iscsi_host_get_param, 0xb6057925, "_gpl");
SYMBOL_CRC(iscsi_host_set_param, 0x0149c756, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x7e8e62f6, "_dev_printk" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x5594f563, "iscsi_dbg_trace" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x5a6eb3c8, "scsi_done" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x37a0cba, "kfree" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x92997ed8, "_printk" },
	{ 0x832675dc, "scsi_add_host_with_dma" },
	{ 0x12edcb29, "scsi_host_alloc" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb3c3fd82, "scsi_host_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6cef103a, "iscsi_free_session" },
	{ 0x536705af, "module_put" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc6264e7a, "__tracepoint_iscsi_dbg_session" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x207427c9, "__traceiter_iscsi_dbg_session" },
	{ 0xda09b986, "__tracepoint_iscsi_dbg_eh" },
	{ 0x21638074, "__traceiter_iscsi_dbg_eh" },
	{ 0x363ef721, "__tracepoint_iscsi_dbg_conn" },
	{ 0xaa214ab1, "__traceiter_iscsi_dbg_conn" },
	{ 0x3729912d, "kvmalloc_node_noprof" },
	{ 0xef45d32c, "__kfifo_init" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x236c8c64, "memcpy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe798236d, "jiffies" },
	{ 0xada9ba52, "iscsi_recv_pdu" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x955e6b07, "scsi_build_sense" },
	{ 0x818416e1, "scsi_set_sense_information" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb83eeea5, "scsi_host_get" },
	{ 0xf1fb400e, "iscsi_remove_session" },
	{ 0xe3ec63c9, "iscsi_host_for_each_session" },
	{ 0x75682e68, "scsi_remove_host" },
	{ 0x43f66c14, "iscsi_force_destroy_session" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x1b3fd086, "flush_signals" },
	{ 0x86433ecc, "iscsi_alloc_session" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x8c167da3, "try_module_get" },
	{ 0x27cfdd77, "iscsi_add_session" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x46e41d11, "iscsi_conn_error_event" },
	{ 0xb5fda0c3, "iscsi_get_conn" },
	{ 0x136b189f, "iscsi_put_conn" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf5aae86d, "iscsi_remove_conn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x9cfa8884, "iscsi_alloc_conn" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xa6eddd9a, "iscsi_add_conn" },
	{ 0x3cd480a2, "iscsi_unblock_session" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x24d273d1, "add_timer" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x12cb42ba, "iscsi_block_session" },
	{ 0xf7370f56, "system_state" },
	{ 0x29cef713, "iscsi_session_chkready" },
	{ 0x2bace220, "param_ops_int" },
	{ 0x2ba967f7, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi");


MODULE_INFO(srcversion, "88ADC8D2E83A62B40136089");
MODULE_INFO(rhelversion, "10.0");
