#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb0174695, "truncate_inode_pages" },
	{ 0x2f415ce6, "bh_uptodate_or_lock" },
	{ 0x7a4255ea, "generic_fillattr" },
	{ 0x1ead20f4, "setattr_prepare" },
	{ 0x5f434977, "vfs_fsync_range" },
	{ 0x77da5444, "clear_nlink" },
	{ 0x45060e92, "sync_blockdev_range" },
	{ 0xb7a34158, "generic_block_bmap" },
	{ 0xe563d623, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x192e9910, "d_instantiate" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xbf0499a5, "clear_inode" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x985fff20, "fs_param_is_string" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xba6ec546, "new_inode" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x28bbc057, "unregister_filesystem" },
	{ 0x863fcf26, "mark_buffer_dirty" },
	{ 0x362029b4, "security_inode_setattr" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xd197b887, "__find_get_block" },
	{ 0x3144ac85, "inode_needs_sync" },
	{ 0x2223a13b, "inode_query_iversion" },
	{ 0x1557740c, "__blockdev_direct_IO" },
	{ 0x35f3170, "d_make_root" },
	{ 0x9fa5cd9c, "__bforget" },
	{ 0xe8932434, "sb_set_blocksize" },
	{ 0x45783e9a, "block_truncate_page" },
	{ 0x6e8fcdc1, "write_dirty_buffer" },
	{ 0x12cb07cc, "sync_filesystem" },
	{ 0x3125d94d, "fsnotify" },
	{ 0xc8b2fed6, "d_splice_alias" },
	{ 0x17f70fb0, "current_time" },
	{ 0x236c8c64, "memcpy" },
	{ 0x974e6956, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x7ffd9779, "iput" },
	{ 0x92319fd8, "fs_param_is_enum" },
	{ 0x4a386285, "fs_param_is_s32" },
	{ 0xf30c923c, "wrap_directory_iterator" },
	{ 0x30eeb8c7, "iter_file_splice_write" },
	{ 0x6835db9e, "register_filesystem" },
	{ 0xd32a771a, "kmem_cache_create" },
	{ 0x3729912d, "kvmalloc_node_noprof" },
	{ 0xac2ad2c, "simple_inode_init_ts" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x6f533d59, "fs_param_is_u32" },
	{ 0xb80c473a, "inode_newsize_ok" },
	{ 0x9c849d94, "d_drop" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x34194b69, "kill_block_super" },
	{ 0xa1e6c7d4, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0x6900f4ab, "block_invalidate_folio" },
	{ 0xb65ccee2, "__breadahead" },
	{ 0x98ebfd8a, "generic_write_end" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x68cc8d6b, "load_nls" },
	{ 0x71992fb1, "make_kuid" },
	{ 0x76e7f3f5, "sync_blockdev" },
	{ 0x67fae6d5, "generic_file_mmap" },
	{ 0x3c6f25b6, "invalidate_inode_buffers" },
	{ 0x1d8a2a7f, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7da79e80, "mnt_drop_write_file" },
	{ 0x94dcb89b, "inode_init_once" },
	{ 0x94bf03ca, "utf8_to_utf32" },
	{ 0x27961cfc, "__fsnotify_parent" },
	{ 0x800473f, "__cond_resched" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xf0f9ef04, "balance_dirty_pages_ratelimited" },
	{ 0x24aa1f65, "__brelse" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0x8c175746, "generic_file_read_iter" },
	{ 0xf1bcf11c, "inode_maybe_inc_iversion" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0x3b96e8d1, "truncate_pagecache" },
	{ 0x6fa360a1, "sync_dirty_buffer" },
	{ 0x679412c6, "setattr_copy" },
	{ 0xc58a320b, "__wait_on_buffer" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x2e345824, "set_nlink" },
	{ 0x46424541, "kmem_cache_alloc_lru_noprof" },
	{ 0x7c6c37fd, "kmem_cache_free" },
	{ 0xdf0a489b, "d_move" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xaab44903, "__sync_dirty_buffer" },
	{ 0xff39f80, "__bh_read" },
	{ 0x9998f88f, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb3ec1b, "write_inode_now" },
	{ 0xd973c06, "d_rehash" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xe469839f, "__bread_gfp" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x9dc920b9, "block_dirty_folio" },
	{ 0x796e62a6, "mpage_read_folio" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x4eb5ffc9, "__insert_inode_hash" },
	{ 0x1f3510f6, "buffer_migrate_folio" },
	{ 0x2fd6a089, "kmem_cache_alloc_noprof" },
	{ 0x39ad3d64, "make_kgid" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x429a7c87, "from_kgid_munged" },
	{ 0x103bafd6, "down_read" },
	{ 0x381157f1, "truncate_setsize" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x62c40d12, "igrab" },
	{ 0x4005ddd7, "generic_read_dir" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xeef9aae, "mpage_readahead" },
	{ 0xfb2f8a4, "mktime64" },
	{ 0x3096be16, "names_cachep" },
	{ 0x38dfbdae, "init_user_ns" },
	{ 0x8b7d06f2, "simple_rename_timestamp" },
	{ 0x91596d16, "d_find_alias" },
	{ 0x5ebd079b, "inode_set_ctime_current" },
	{ 0xbbbe0934, "inc_nlink" },
	{ 0xf6cc4e87, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd6f502f5, "get_tree_bdev" },
	{ 0x9b7220ad, "seq_printf" },
	{ 0xf849ab44, "dput" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x6c7fead5, "iov_iter_zero" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0x1382d2ad, "blkdev_issue_flush" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xfda1e2, "block_write_begin" },
	{ 0x5a5b7d32, "__fs_parse" },
	{ 0xcbf70bdf, "filemap_splice_read" },
	{ 0xbd183b5b, "folio_set_bh" },
	{ 0x23af857f, "kmalloc_trace_noprof" },
	{ 0xe8220475, "from_kuid_munged" },
	{ 0xcb53fa1, "__generic_file_fsync" },
	{ 0xbb18d36f, "__generic_file_write_iter" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd8779a1b, "generic_write_checks" },
	{ 0xf224b002, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x127c79b9, "__mark_inode_dirty" },
	{ 0xca770df8, "generic_file_llseek" },
	{ 0x94bee5f2, "unload_nls" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xf07546b5, "sb_min_blocksize" },
	{ 0x97adb487, "utf8s_to_utf16s" },
	{ 0xe4d8d2, "drop_nlink" },
	{ 0xefc936df, "kmalloc_caches" },
	{ 0x3de3151d, "kmem_cache_destroy" },
	{ 0x395b8963, "blkdev_issue_discard" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x2ba967f7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2B9B93ACDBD98A1E17AFF60");
MODULE_INFO(rhelversion, "10.0");
