#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x31886b3e, "fuse_mount_destroy" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xba2b0088, "fuse_dax_cancel_work" },
	{ 0xdd626ee3, "fuse_len_args" },
	{ 0xe563d623, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe665479e, "virtqueue_enable_cb" },
	{ 0xb5a85278, "devm_kmalloc" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x28bbc057, "unregister_filesystem" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x1eeef37d, "__kmalloc_node_noprof" },
	{ 0xe7ceaf2d, "kobject_init" },
	{ 0xd7efb49b, "sget_fc" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc473a64a, "kset_unregister" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x92319fd8, "fs_param_is_enum" },
	{ 0x6835db9e, "register_filesystem" },
	{ 0x239a1205, "__dynamic_dev_dbg" },
	{ 0xdb36c029, "alloc_dax" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x7fe7f219, "group_cpus_evenly" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xfaf23bf2, "__devm_request_region" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0xfad9c827, "kill_dax" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x5a58b369, "unregister_virtio_driver" },
	{ 0x3361264d, "fs_kobj" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xd0b984d7, "fuse_mount_remove" },
	{ 0x581c712d, "sysfs_create_link" },
	{ 0x75141ba9, "fuse_dequeue_forget" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xa27a86c8, "virtqueue_get_vring_size" },
	{ 0xc18bad36, "virtqueue_notify" },
	{ 0xe65ac093, "fuse_dev_alloc" },
	{ 0x6029efd5, "dax_flush" },
	{ 0x8115f78a, "fuse_dev_free" },
	{ 0xfa28d9bf, "kobject_add" },
	{ 0x23eb23b5, "fuse_dev_install" },
	{ 0xa3be2c91, "sysfs_remove_link" },
	{ 0x4dea1053, "memchr" },
	{ 0xab1ee85e, "kobj_sysfs_ops" },
	{ 0x5f6f1e9e, "dax_get_private" },
	{ 0x977dfed5, "fuse_init_fs_context_submount" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xba0bb77b, "virtqueue_disable_cb" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x8bd6e2dc, "virtqueue_add_sgs" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x706ee333, "_dev_warn" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf28c0a55, "fuse_send_init" },
	{ 0x20e235d2, "virtio_reset_device" },
	{ 0x4a551e6d, "__register_virtio_driver" },
	{ 0x181f419b, "virtqueue_get_buf" },
	{ 0x53d66235, "virtqueue_add_outbuf" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x4a3071a9, "_dev_notice" },
	{ 0x154b466, "fuse_conn_init" },
	{ 0x7263939d, "kobject_del" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x2aa4f29, "virtqueue_kick_prepare" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1652b878, "set_anon_super_fc" },
	{ 0x92a16af7, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa0b3e85b, "deactivate_locked_super" },
	{ 0x9bb30401, "kobject_uevent" },
	{ 0xaffcbb03, "fuse_get_unique" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x7242d92, "put_dax" },
	{ 0x5a5b7d32, "__fs_parse" },
	{ 0xee1dd0a1, "fuse_request_end" },
	{ 0x23af857f, "kmalloc_trace_noprof" },
	{ 0xd507b78f, "kill_anon_super" },
	{ 0x1360373f, "fuse_fill_super_common" },
	{ 0x77358855, "iomem_resource" },
	{ 0x349cba85, "strchr" },
	{ 0x1668084b, "fuse_conn_destroy" },
	{ 0xb9012221, "fuse_free_conn" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xfc0e4dd0, "kobject_get" },
	{ 0xefc936df, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7f4396ac, "kset_create_and_add" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd5598afe, "kobject_put" },
	{ 0x2ba967f7, "module_layout" },
};

MODULE_INFO(depends, "fuse");

MODULE_ALIAS("virtio:d0000001Av*");

MODULE_INFO(srcversion, "90BF28F2CE87FD0D295F1EC");
MODULE_INFO(rhelversion, "10.0");
