#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tipc_nl_sk_walk, "", "");
KSYMTAB_FUNC(tipc_dump_start, "", "");
KSYMTAB_FUNC(tipc_dump_done, "", "");
KSYMTAB_FUNC(tipc_sk_fill_sock_diag, "", "");

SYMBOL_CRC(tipc_nl_sk_walk, 0xc33d8bc8, "");
SYMBOL_CRC(tipc_dump_start, 0x99c89280, "");
SYMBOL_CRC(tipc_dump_done, 0x0f9c1ffb, "");
SYMBOL_CRC(tipc_sk_fill_sock_diag, 0x9a435c21, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8acd656, "netlink_net_capable" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x15b49bac, "vscnprintf" },
	{ 0xaef2f34a, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7b250e1, "bpf_trace_run4" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x3b4d1f93, "__nlmsg_put" },
	{ 0x3761d215, "idr_find" },
	{ 0xda9db521, "skb_put" },
	{ 0xa3370c83, "kmalloc_large_noprof" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x55da68dd, "ip6_dst_hoplimit" },
	{ 0x51be392e, "trace_output_call" },
	{ 0x7dd383d0, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x8281104b, "dev_add_pack" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa6dad698, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x45bdb4f6, "nla_put_64bit" },
	{ 0x8ca21312, "udp_sock_create4" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x6549cecf, "__trace_trigger_soft_disabled" },
	{ 0xbd761ca3, "trace_event_printf" },
	{ 0xbef53f33, "scnprintf" },
	{ 0xd8707eb, "__ip_dev_find" },
	{ 0xe564437a, "dst_cache_set_ip4" },
	{ 0x4226095b, "udp_tunnel6_xmit_skb" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x274b9bbe, "genlmsg_put" },
	{ 0xea360875, "___pskb_trim" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x43fcd84e, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0x1fa68159, "crypto_alloc_aead" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0x43720430, "netdev_warn" },
	{ 0x908675ea, "crypto_aead_setauthsize" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x6641ec3d, "crypto_aead_decrypt" },
	{ 0x43a877c2, "kernel_accept" },
	{ 0x70d084, "__module_get" },
	{ 0xec012ab3, "ip_route_output_flow" },
	{ 0xea066330, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x6b2ffb43, "__pskb_copy_fclone" },
	{ 0x124ce3a3, "pskb_expand_head" },
	{ 0x98cd87b1, "register_pernet_subsys" },
	{ 0x74ca083a, "put_cmsg" },
	{ 0x77489077, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x50f6a7f, "trace_event_buffer_commit" },
	{ 0x17af0eac, "register_net_sysctl_sz" },
	{ 0xab152da5, "crypto_destroy_tfm" },
	{ 0xc7bf381e, "eth_type_trans" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xbe6b354f, "proto_unregister" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x48f72da9, "sock_register" },
	{ 0xda80abf7, "ipv6_dev_find" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x8808964c, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xbf6ec22a, "sk_reset_timer" },
	{ 0x9f984513, "strrchr" },
	{ 0xe92b0780, "skb_try_coalesce" },
	{ 0x36157e65, "proto_register" },
	{ 0xc182ca18, "skb_copy_expand" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x4f91fd51, "__wake_up_sync_key" },
	{ 0xbe33f1c0, "skb_queue_tail" },
	{ 0x536705af, "module_put" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x800473f, "__cond_resched" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x5ea31004, "arch_spin_trylock_retry" },
	{ 0x50d122a0, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x3d77d05b, "__dev_get_by_index" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xc1572bb0, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x2bb3b083, "__traceiter_sk_data_ready" },
	{ 0xb8d776b5, "init_net" },
	{ 0x53d73513, "ipv6_stub" },
	{ 0xf874242f, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0x4dea1053, "memchr" },
	{ 0x23a2477e, "crypto_aead_encrypt" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x57b9a4e5, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x27b80e83, "dev_remove_pack" },
	{ 0x5db27de9, "sk_free" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xa086309e, "kfree_skb_reason" },
	{ 0x1deec609, "kernel_sock_shutdown" },
	{ 0x49bd58d5, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xa8cb732, "skb_push" },
	{ 0x16ad51e1, "dst_cache_get" },
	{ 0x78289d92, "sock_no_listen" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xe1e4ba81, "nla_put" },
	{ 0x62faef05, "proc_doulongvec_minmax" },
	{ 0xb187f0c7, "trace_event_reg" },
	{ 0xad4aee39, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1c41c362, "iov_iter_kvec" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x6a704294, "ip_mc_join_group" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xff8cbf4b, "rhashtable_walk_start_check" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xd6456cbd, "unregister_pernet_device" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x11ff4fc3, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x624e207f, "skb_copy_datagram_iter" },
	{ 0x4eedd6f3, "rhashtable_walk_stop" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x1a164331, "sk_alloc" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x3944a031, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xaa7f90e8, "kfree_skb_partial" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xe05efc6b, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6ff607b6, "crypto_get_default_rng" },
	{ 0x6080b48d, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x4821f5d3, "__pskb_pull_tail" },
	{ 0x4f9fdb57, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x668402aa, "crypto_put_default_rng" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0x1386555b, "setup_udp_tunnel_sock" },
	{ 0x2f7ae633, "udp_sock_create6" },
	{ 0xd7f88ba5, "skb_trim" },
	{ 0xebc50a4a, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xb9266858, "bpf_trace_run3" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xfec42199, "sock_rfree" },
	{ 0xc96b02ed, "sock_i_ino" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe5bb9d6d, "kernel_listen" },
	{ 0x335c81b, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x4dcd4340, "rhashtable_init_noprof" },
	{ 0x2f67e9c7, "trace_event_buffer_reserve" },
	{ 0x7ba0694, "dev_nit_active" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xa93f5608, "sock_create_kern" },
	{ 0xbb9d0dc5, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x934f722f, "dst_cache_set_ip6" },
	{ 0xb221b498, "pskb_put" },
	{ 0xe091c977, "list_sort" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf690f8f8, "udp_tunnel_xmit_skb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x29f7b454, "sock_recvmsg" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdec20b96, "skb_copy" },
	{ 0xb50566a, "skb_clone" },
	{ 0x4ed23230, "dev_get_by_name" },
	{ 0x3de0f056, "_copy_from_iter" },
	{ 0xf856bfad, "sock_release" },
	{ 0x6f20e8a0, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0xc045988c, "rhashtable_walk_next" },
	{ 0x6a5318e7, "crypto_default_rng" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x2e9fe8bd, "sk_stop_timer" },
	{ 0xcdf64c0c, "unregister_net_sysctl_table" },
	{ 0x23af857f, "kmalloc_trace_noprof" },
	{ 0x7e0cdcc, "genl_unregister_family" },
	{ 0xe8220475, "from_kuid_munged" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xf224b002, "iov_iter_revert" },
	{ 0x349cba85, "strchr" },
	{ 0x50ef1ef7, "genl_register_family" },
	{ 0xf9038a6f, "kernel_sendmsg" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xf140d5f7, "skb_to_sgvec" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x28d0285c, "rhashtable_walk_exit" },
	{ 0x77cc4b3d, "register_pernet_device" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x2b4a3fa8, "sock_init_data" },
	{ 0xefc936df, "kmalloc_caches" },
	{ 0x1ec1b212, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x11021b1c, "proc_dointvec_minmax" },
	{ 0x2ba967f7, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "BA0C3F54828130E2CAE9B3D");
MODULE_INFO(rhelversion, "10.0");
