#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_dp_dual_mode_read, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_write, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_detect, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_get_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_set_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_get_dual_mode_type_name, "", "");
KSYMTAB_FUNC(drm_lspcon_get_mode, "", "");
KSYMTAB_FUNC(drm_lspcon_set_mode, "", "");
KSYMTAB_FUNC(drm_dp_channel_eq_ok, "", "");
KSYMTAB_FUNC(drm_dp_clock_recovery_ok, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_voltage, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_pre_emphasis, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_tx_ffe_preset, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_channel_eq_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_symbol_locked, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_eq_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_cds_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_link_training_failed, "", "");
KSYMTAB_FUNC(drm_dp_read_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_read_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_read_aux_rd_interval, "", "");
KSYMTAB_FUNC(drm_dp_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_phy_name, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_rate_to_bw_code, "", "");
KSYMTAB_FUNC(drm_dp_bw_code_to_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_probe, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_set_powered, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_write, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_link_status, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_phy_link_status, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_type, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_tmds, "", "");
KSYMTAB_FUNC(drm_dp_send_real_edid_checksum, "", "");
KSYMTAB_FUNC(drm_dp_read_dpcd_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_downstream_info, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_dotclock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_min_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_bpc, "", "");
KSYMTAB_FUNC(drm_dp_downstream_420_passthrough, "", "");
KSYMTAB_FUNC(drm_dp_downstream_444_to_420_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_rgb_to_ycbcr_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_mode, "", "");
KSYMTAB_FUNC(drm_dp_downstream_id, "", "");
KSYMTAB_FUNC(drm_dp_downstream_debug, "", "");
KSYMTAB_FUNC(drm_dp_subconnector_type, "", "");
KSYMTAB_FUNC(drm_dp_set_subconnector_property, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count_cap, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count, "", "");
KSYMTAB_FUNC(drm_dp_remote_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_register, "", "");
KSYMTAB_FUNC(drm_dp_aux_unregister, "", "");
KSYMTAB_FUNC(drm_dp_psr_setup_time, "", "");
KSYMTAB_FUNC(drm_dp_start_crc, "", "");
KSYMTAB_FUNC(drm_dp_stop_crc, "", "");
KSYMTAB_FUNC(drm_dp_read_desc, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_max_slice_count, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_line_buf_depth, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_supported_input_bpcs, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_common_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_phy_caps, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_lane_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_voltage_swing_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_pre_emphasis_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_get_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_set_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_as_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_as_sdp_supported, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_supported, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_pack, "", "");
KSYMTAB_FUNC(drm_dp_get_pcon_max_frl_bw, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_prepare, "", "");
KSYMTAB_FUNC(drm_dp_pcon_is_frl_ready, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_1, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_reset_frl_config, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_enable, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_active, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_mode, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_frl_link_error_count, "", "");
KSYMTAB_FUNC(drm_dp_pcon_enc_is_dsc_1_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slices, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slice_width, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_default, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_buf, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_param, "", "");
KSYMTAB_FUNC(drm_dp_pcon_convert_rgb_to_ycbcr, "", "");
KSYMTAB_FUNC(drm_edp_backlight_set_level, "", "");
KSYMTAB_FUNC(drm_edp_backlight_enable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_disable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_init, "", "");
KSYMTAB_FUNC(drm_dp_bw_overhead, "", "");
KSYMTAB_FUNC(drm_dp_bw_channel_coding_efficiency, "", "");
KSYMTAB_FUNC(drm_dp_max_dprx_data_rate, "", "");
KSYMTAB_FUNC(drm_dp_encode_sideband_req, "", "");
KSYMTAB_FUNC(drm_dp_decode_sideband_req, "", "");
KSYMTAB_FUNC(drm_dp_dump_sideband_msg_req_body, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_port_malloc, "", "");
KSYMTAB_FUNC(drm_dp_mst_put_port_malloc, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_payload_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_late_register, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_early_unregister, "", "");
KSYMTAB_FUNC(drm_dp_send_power_updown_phy, "", "");
KSYMTAB_FUNC(drm_dp_send_query_stream_enc_status, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_get_vc_payload_bw, "", "");
KSYMTAB_FUNC(drm_dp_read_mst_cap, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_set_mst, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_suspend, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_resume, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_handle_event, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_send_new_request, "", "");
KSYMTAB_FUNC(drm_dp_mst_detect_port, "", "");
KSYMTAB_FUNC(drm_dp_mst_edid_read, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_edid, "", "");
KSYMTAB_FUNC(drm_dp_atomic_find_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_atomic_release_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_setup_commit, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_dp_mst_root_conn_atomic_check, "", "");
KSYMTAB_FUNC(drm_dp_mst_update_slots, "", "");
KSYMTAB_FUNC(drm_dp_check_act_status, "", "");
KSYMTAB_FUNC(drm_dp_calc_pbn_mode, "", "");
KSYMTAB_FUNC(drm_dp_mst_dump_topology, "", "");
KSYMTAB_FUNC(drm_dp_mst_port_downstream_of_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_add_affected_dsc_crtcs, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_enable_dsc, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check_mgr, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check, "", "");
KSYMTAB_DATA(drm_dp_mst_topology_state_funcs, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_init, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_destroy, "", "");
KSYMTAB_FUNC(drm_dp_mst_aux_for_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_dsc_aux_for_port, "", "");
KSYMTAB_FUNC(drm_dsc_dp_pps_header_init, "", "");
KSYMTAB_FUNC(drm_dsc_dp_rc_buffer_size, "", "");
KSYMTAB_FUNC(drm_dsc_pps_payload_pack, "", "");
KSYMTAB_FUNC(drm_dsc_set_const_params, "", "");
KSYMTAB_FUNC(drm_dsc_set_rc_buf_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_setup_rc_params, "", "");
KSYMTAB_FUNC(drm_dsc_compute_rc_parameters, "", "");
KSYMTAB_FUNC(drm_dsc_get_bpp_int, "", "");
KSYMTAB_FUNC(drm_dsc_initial_scale_value, "", "");
KSYMTAB_FUNC(drm_dsc_flatness_det_thresh, "", "");

SYMBOL_CRC(drm_dp_dual_mode_read, 0xc6301a30, "");
SYMBOL_CRC(drm_dp_dual_mode_write, 0xd52f4e3d, "");
SYMBOL_CRC(drm_dp_dual_mode_detect, 0x960161b6, "");
SYMBOL_CRC(drm_dp_dual_mode_max_tmds_clock, 0x2c423a22, "");
SYMBOL_CRC(drm_dp_dual_mode_get_tmds_output, 0xe6dd3c78, "");
SYMBOL_CRC(drm_dp_dual_mode_set_tmds_output, 0xd7b963c4, "");
SYMBOL_CRC(drm_dp_get_dual_mode_type_name, 0x5407ae9e, "");
SYMBOL_CRC(drm_lspcon_get_mode, 0x12428d5f, "");
SYMBOL_CRC(drm_lspcon_set_mode, 0x04544945, "");
SYMBOL_CRC(drm_dp_channel_eq_ok, 0xedcf81ce, "");
SYMBOL_CRC(drm_dp_clock_recovery_ok, 0x8d701329, "");
SYMBOL_CRC(drm_dp_get_adjust_request_voltage, 0xc5c99a79, "");
SYMBOL_CRC(drm_dp_get_adjust_request_pre_emphasis, 0x582f248e, "");
SYMBOL_CRC(drm_dp_get_adjust_tx_ffe_preset, 0xccf54d5e, "");
SYMBOL_CRC(drm_dp_128b132b_lane_channel_eq_done, 0xc8b6a8ae, "");
SYMBOL_CRC(drm_dp_128b132b_lane_symbol_locked, 0xd5a95eae, "");
SYMBOL_CRC(drm_dp_128b132b_eq_interlane_align_done, 0x6a4df8c5, "");
SYMBOL_CRC(drm_dp_128b132b_cds_interlane_align_done, 0x92b9835e, "");
SYMBOL_CRC(drm_dp_128b132b_link_training_failed, 0x6aacee47, "");
SYMBOL_CRC(drm_dp_read_clock_recovery_delay, 0x1825743f, "");
SYMBOL_CRC(drm_dp_read_channel_eq_delay, 0x3135f172, "");
SYMBOL_CRC(drm_dp_128b132b_read_aux_rd_interval, 0x6b8d1917, "");
SYMBOL_CRC(drm_dp_link_train_clock_recovery_delay, 0x86cb5bae, "");
SYMBOL_CRC(drm_dp_link_train_channel_eq_delay, 0x3a3799db, "");
SYMBOL_CRC(drm_dp_phy_name, 0x5a86f411, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_clock_recovery_delay, 0x1709ddcf, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_channel_eq_delay, 0xbaabe43e, "");
SYMBOL_CRC(drm_dp_link_rate_to_bw_code, 0x26815dbc, "");
SYMBOL_CRC(drm_dp_bw_code_to_link_rate, 0x73011db0, "");
SYMBOL_CRC(drm_dp_dpcd_probe, 0x5dae7c1d, "");
SYMBOL_CRC(drm_dp_dpcd_set_powered, 0x41698745, "");
SYMBOL_CRC(drm_dp_dpcd_read, 0xf04e70a5, "");
SYMBOL_CRC(drm_dp_dpcd_write, 0x801d45bb, "");
SYMBOL_CRC(drm_dp_dpcd_read_link_status, 0xe274dd90, "");
SYMBOL_CRC(drm_dp_dpcd_read_phy_link_status, 0x74cf7220, "");
SYMBOL_CRC(drm_dp_downstream_is_type, 0xc79ecffb, "");
SYMBOL_CRC(drm_dp_downstream_is_tmds, 0x10beff8d, "");
SYMBOL_CRC(drm_dp_send_real_edid_checksum, 0xcb206767, "");
SYMBOL_CRC(drm_dp_read_dpcd_caps, 0xd78cc6fd, "");
SYMBOL_CRC(drm_dp_read_downstream_info, 0x52515b07, "");
SYMBOL_CRC(drm_dp_downstream_max_dotclock, 0x392a838b, "");
SYMBOL_CRC(drm_dp_downstream_max_tmds_clock, 0x58b909f2, "");
SYMBOL_CRC(drm_dp_downstream_min_tmds_clock, 0x4dd8bc97, "");
SYMBOL_CRC(drm_dp_downstream_max_bpc, 0xe53574d3, "");
SYMBOL_CRC(drm_dp_downstream_420_passthrough, 0xf689ad25, "");
SYMBOL_CRC(drm_dp_downstream_444_to_420_conversion, 0x2fa94ef2, "");
SYMBOL_CRC(drm_dp_downstream_rgb_to_ycbcr_conversion, 0xfb1a7a5a, "");
SYMBOL_CRC(drm_dp_downstream_mode, 0x2c0896fa, "");
SYMBOL_CRC(drm_dp_downstream_id, 0xe5809206, "");
SYMBOL_CRC(drm_dp_downstream_debug, 0x88b91207, "");
SYMBOL_CRC(drm_dp_subconnector_type, 0xf68741fb, "");
SYMBOL_CRC(drm_dp_set_subconnector_property, 0x797eb65d, "");
SYMBOL_CRC(drm_dp_read_sink_count_cap, 0x66d2acef, "");
SYMBOL_CRC(drm_dp_read_sink_count, 0xe7972336, "");
SYMBOL_CRC(drm_dp_remote_aux_init, 0x9b758716, "");
SYMBOL_CRC(drm_dp_aux_init, 0x6f7c406d, "");
SYMBOL_CRC(drm_dp_aux_register, 0xd5575a74, "");
SYMBOL_CRC(drm_dp_aux_unregister, 0x9a572258, "");
SYMBOL_CRC(drm_dp_psr_setup_time, 0xa1fefe6a, "");
SYMBOL_CRC(drm_dp_start_crc, 0x4e60aaa6, "");
SYMBOL_CRC(drm_dp_stop_crc, 0x0c29b858, "");
SYMBOL_CRC(drm_dp_read_desc, 0x7af2b960, "");
SYMBOL_CRC(drm_dp_dsc_sink_bpp_incr, 0xf48bbedf, "");
SYMBOL_CRC(drm_dp_dsc_sink_max_slice_count, 0x829b6048, "");
SYMBOL_CRC(drm_dp_dsc_sink_line_buf_depth, 0x56a663e9, "");
SYMBOL_CRC(drm_dp_dsc_sink_supported_input_bpcs, 0xa843606e, "");
SYMBOL_CRC(drm_dp_read_lttpr_common_caps, 0x9594e222, "");
SYMBOL_CRC(drm_dp_read_lttpr_phy_caps, 0xbed29ca0, "");
SYMBOL_CRC(drm_dp_lttpr_count, 0xaf267620, "");
SYMBOL_CRC(drm_dp_lttpr_max_link_rate, 0x01c4bba9, "");
SYMBOL_CRC(drm_dp_lttpr_max_lane_count, 0x1605d0ed, "");
SYMBOL_CRC(drm_dp_lttpr_voltage_swing_level_3_supported, 0x1b0a1fdc, "");
SYMBOL_CRC(drm_dp_lttpr_pre_emphasis_level_3_supported, 0x76ff6644, "");
SYMBOL_CRC(drm_dp_get_phy_test_pattern, 0xe6fee3f2, "");
SYMBOL_CRC(drm_dp_set_phy_test_pattern, 0x24c0ea0a, "");
SYMBOL_CRC(drm_dp_vsc_sdp_log, 0xb0846525, "");
SYMBOL_CRC(drm_dp_as_sdp_log, 0x79174b71, "");
SYMBOL_CRC(drm_dp_as_sdp_supported, 0xe53c7f48, "");
SYMBOL_CRC(drm_dp_vsc_sdp_supported, 0x8ea29bbd, "");
SYMBOL_CRC(drm_dp_vsc_sdp_pack, 0xcabfa7dd, "");
SYMBOL_CRC(drm_dp_get_pcon_max_frl_bw, 0x7053fa72, "");
SYMBOL_CRC(drm_dp_pcon_frl_prepare, 0xc4cb1907, "");
SYMBOL_CRC(drm_dp_pcon_is_frl_ready, 0xcd5fd586, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_1, 0x49e46a4d, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_2, 0xa25a0fd0, "");
SYMBOL_CRC(drm_dp_pcon_reset_frl_config, 0xc1fd7a2c, "");
SYMBOL_CRC(drm_dp_pcon_frl_enable, 0x29e512fd, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_active, 0x4f44e532, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_mode, 0x6bce6168, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_frl_link_error_count, 0xe90f58e0, "");
SYMBOL_CRC(drm_dp_pcon_enc_is_dsc_1_2, 0x59f27ed7, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slices, 0xe5360b84, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slice_width, 0xc020c0c1, "");
SYMBOL_CRC(drm_dp_pcon_dsc_bpp_incr, 0x4603c416, "");
SYMBOL_CRC(drm_dp_pcon_pps_default, 0x83d262bf, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_buf, 0xf2030bd7, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_param, 0xf81508af, "");
SYMBOL_CRC(drm_dp_pcon_convert_rgb_to_ycbcr, 0x6c7c28cf, "");
SYMBOL_CRC(drm_edp_backlight_set_level, 0x312711b1, "");
SYMBOL_CRC(drm_edp_backlight_enable, 0x2442db5c, "");
SYMBOL_CRC(drm_edp_backlight_disable, 0x8bc6bdcf, "");
SYMBOL_CRC(drm_edp_backlight_init, 0x947c4eff, "");
SYMBOL_CRC(drm_dp_bw_overhead, 0x3dc887bf, "");
SYMBOL_CRC(drm_dp_bw_channel_coding_efficiency, 0x0504c682, "");
SYMBOL_CRC(drm_dp_max_dprx_data_rate, 0x0f6b8a63, "");
SYMBOL_CRC(drm_dp_encode_sideband_req, 0x5ff42ffd, "");
SYMBOL_CRC(drm_dp_decode_sideband_req, 0xd5dbccae, "");
SYMBOL_CRC(drm_dp_dump_sideband_msg_req_body, 0xdbda6fa2, "");
SYMBOL_CRC(drm_dp_mst_get_port_malloc, 0x6716516c, "");
SYMBOL_CRC(drm_dp_mst_put_port_malloc, 0x13f6ecbf, "");
SYMBOL_CRC(drm_atomic_get_mst_payload_state, 0x821e98fb, "");
SYMBOL_CRC(drm_dp_mst_connector_late_register, 0x4a8846f6, "");
SYMBOL_CRC(drm_dp_mst_connector_early_unregister, 0x2fb7f34c, "");
SYMBOL_CRC(drm_dp_send_power_updown_phy, 0xfd03f0c9, "");
SYMBOL_CRC(drm_dp_send_query_stream_enc_status, 0x5f2ccf90, "");
SYMBOL_CRC(drm_dp_add_payload_part1, 0x4119025b, "");
SYMBOL_CRC(drm_dp_remove_payload_part1, 0x3bbf074a, "");
SYMBOL_CRC(drm_dp_remove_payload_part2, 0x2662c7c3, "");
SYMBOL_CRC(drm_dp_add_payload_part2, 0x1df550c0, "");
SYMBOL_CRC(drm_dp_get_vc_payload_bw, 0xd82597c7, "");
SYMBOL_CRC(drm_dp_read_mst_cap, 0x29a4c4d4, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_set_mst, 0x1a388cf4, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_suspend, 0xa9a59348, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_resume, 0x85317d5d, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_handle_event, 0x9924fe51, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_send_new_request, 0x237e37fd, "");
SYMBOL_CRC(drm_dp_mst_detect_port, 0x70319064, "");
SYMBOL_CRC(drm_dp_mst_edid_read, 0xbeac90d9, "");
SYMBOL_CRC(drm_dp_mst_get_edid, 0x0ab3af39, "");
SYMBOL_CRC(drm_dp_atomic_find_time_slots, 0x6e0ad8c1, "");
SYMBOL_CRC(drm_dp_atomic_release_time_slots, 0x215df19b, "");
SYMBOL_CRC(drm_dp_mst_atomic_setup_commit, 0x2c65e064, "");
SYMBOL_CRC(drm_dp_mst_atomic_wait_for_dependencies, 0xe133c2c2, "");
SYMBOL_CRC(drm_dp_mst_root_conn_atomic_check, 0x5b2d98d3, "");
SYMBOL_CRC(drm_dp_mst_update_slots, 0xf87d8ee8, "");
SYMBOL_CRC(drm_dp_check_act_status, 0xd89ecd6a, "");
SYMBOL_CRC(drm_dp_calc_pbn_mode, 0xa47826e4, "");
SYMBOL_CRC(drm_dp_mst_dump_topology, 0x1a7f287a, "");
SYMBOL_CRC(drm_dp_mst_port_downstream_of_parent, 0x2fd0f255, "");
SYMBOL_CRC(drm_dp_mst_add_affected_dsc_crtcs, 0xaf6677ef, "");
SYMBOL_CRC(drm_dp_mst_atomic_enable_dsc, 0xb5244181, "");
SYMBOL_CRC(drm_dp_mst_atomic_check_mgr, 0x6c56f29b, "");
SYMBOL_CRC(drm_dp_mst_atomic_check, 0x5cbe3b84, "");
SYMBOL_CRC(drm_dp_mst_topology_state_funcs, 0x3e3aef08, "");
SYMBOL_CRC(drm_atomic_get_mst_topology_state, 0x1a637a47, "");
SYMBOL_CRC(drm_atomic_get_old_mst_topology_state, 0x434c7865, "");
SYMBOL_CRC(drm_atomic_get_new_mst_topology_state, 0xbf68a13c, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_init, 0xc239a9a2, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_destroy, 0xdc526405, "");
SYMBOL_CRC(drm_dp_mst_aux_for_parent, 0xf1f8ae28, "");
SYMBOL_CRC(drm_dp_mst_dsc_aux_for_port, 0x6b24de76, "");
SYMBOL_CRC(drm_dsc_dp_pps_header_init, 0x648d953b, "");
SYMBOL_CRC(drm_dsc_dp_rc_buffer_size, 0x1a5bf3ca, "");
SYMBOL_CRC(drm_dsc_pps_payload_pack, 0x58d8fcaa, "");
SYMBOL_CRC(drm_dsc_set_const_params, 0x627ba04b, "");
SYMBOL_CRC(drm_dsc_set_rc_buf_thresh, 0x24ada755, "");
SYMBOL_CRC(drm_dsc_setup_rc_params, 0x79008c7e, "");
SYMBOL_CRC(drm_dsc_compute_rc_parameters, 0xfe12bcb9, "");
SYMBOL_CRC(drm_dsc_get_bpp_int, 0xd0e95456, "");
SYMBOL_CRC(drm_dsc_initial_scale_value, 0x95883bb4, "");
SYMBOL_CRC(drm_dsc_flatness_det_thresh, 0xe2468a48, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2a20a154, "drm_crtc_add_crc_entry" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc216c28b, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x2b359ec, "drm_atomic_get_private_obj_state" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1ab5d60a, "__drm_printfn_dbg" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xe1e42750, "drm_atomic_private_obj_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5f7137ba, "drm_edid_duplicate" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x6cbaffa1, "drm_connector_unregister" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x79c07957, "drm_mode_object_put" },
	{ 0xbf552304, "dev_driver_string" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x69353664, "__drm_debug" },
	{ 0x9383e659, "__drm_atomic_helper_private_obj_duplicate_state" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x30734d2b, "drm_atomic_private_obj_fini" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xc76ef372, "drm_dev_printk" },
	{ 0xb74f84b2, "i2c_del_adapter" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x1a9b346f, "drm_atomic_get_crtc_state" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x73017ca4, "drm_crtc_wait_one_vblank" },
	{ 0x609d8b02, "drm_modeset_lock" },
	{ 0x814e45e7, "drm_modeset_unlock" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x3669db74, "_dev_err" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0xbf5100d3, "drm_modeset_lock_single_interruptible" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0x2bf3119c, "drm_crtc_commit_wait" },
	{ 0xcd3309f5, "drm_atomic_get_new_private_obj_state" },
	{ 0xb212dc3e, "drm_edid_dup" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x4c424be2, "drm_atomic_get_old_private_obj_state" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x60bf733d, "__drm_dev_dbg" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x98fed39f, "drm_edid_raw" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0xa23180a1, "i2c_add_adapter" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x15b5579c, "drm_object_property_set_value" },
	{ 0xd2d42a9f, "drm_printf" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x27bcf779, "drm_kms_helper_hotplug_event" },
	{ 0xf6cc4e87, "seq_write" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9b7220ad, "seq_printf" },
	{ 0x6f2dad5f, "i2c_transfer" },
	{ 0x9609bce, "drm_display_mode_from_cea_vic" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x23af857f, "kmalloc_trace_noprof" },
	{ 0x2bace220, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0xefc936df, "kmalloc_caches" },
	{ 0xe75f70ef, "drm_atomic_get_connector_state" },
	{ 0x5e5128bf, "drm_edid_get_monitor_name" },
	{ 0xd31c0524, "drm_edid_read_ddc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x2ba967f7, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper,i2c-core");


MODULE_INFO(srcversion, "8C5F5145216E68437FF228D");
MODULE_INFO(rhelversion, "10.0");
