#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ibcm_reject_msg, "", "");
KSYMTAB_FUNC(ib_create_cm_id, "", "");
KSYMTAB_FUNC(ib_destroy_cm_id, "", "");
KSYMTAB_FUNC(ib_cm_listen, "", "");
KSYMTAB_FUNC(ib_cm_insert_listen, "", "");
KSYMTAB_FUNC(ib_send_cm_req, "", "");
KSYMTAB_FUNC(ib_send_cm_rep, "", "");
KSYMTAB_FUNC(ib_send_cm_rtu, "", "");
KSYMTAB_FUNC(ib_send_cm_dreq, "", "");
KSYMTAB_FUNC(ib_send_cm_drep, "", "");
KSYMTAB_FUNC(ib_send_cm_rej, "", "");
KSYMTAB_FUNC(ib_send_cm_mra, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_req, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_rep, "", "");
KSYMTAB_FUNC(ib_cm_notify, "", "");
KSYMTAB_FUNC(ib_cm_init_qp_attr, "", "");

SYMBOL_CRC(ibcm_reject_msg, 0x69824a14, "");
SYMBOL_CRC(ib_create_cm_id, 0xf5a62656, "");
SYMBOL_CRC(ib_destroy_cm_id, 0x099c3997, "");
SYMBOL_CRC(ib_cm_listen, 0x66602928, "");
SYMBOL_CRC(ib_cm_insert_listen, 0x1e33ae00, "");
SYMBOL_CRC(ib_send_cm_req, 0xf88b25e2, "");
SYMBOL_CRC(ib_send_cm_rep, 0xb9696162, "");
SYMBOL_CRC(ib_send_cm_rtu, 0xa785d514, "");
SYMBOL_CRC(ib_send_cm_dreq, 0x1316b127, "");
SYMBOL_CRC(ib_send_cm_drep, 0xe42a1702, "");
SYMBOL_CRC(ib_send_cm_rej, 0xa3d8db86, "");
SYMBOL_CRC(ib_send_cm_mra, 0x4ed701c7, "");
SYMBOL_CRC(ib_send_cm_sidr_req, 0x2f61ebde, "");
SYMBOL_CRC(ib_send_cm_sidr_rep, 0x4257ffca, "");
SYMBOL_CRC(ib_cm_notify, 0x56d32d3c, "");
SYMBOL_CRC(ib_cm_init_qp_attr, 0xae253d21, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xefb76e3b, "ib_unregister_client" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x87ea087b, "ib_init_ah_attr_from_path" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xaca0aef0, "complete" },
	{ 0xa6dad698, "trace_raw_output_prep" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x6549cecf, "__trace_trigger_soft_disabled" },
	{ 0xbd761ca3, "trace_event_printf" },
	{ 0x43fcd84e, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x37a0cba, "kfree" },
	{ 0x6478c014, "rdma_query_gid" },
	{ 0x273114b6, "ib_port_register_client_groups" },
	{ 0xec0e8310, "ib_modify_port" },
	{ 0x8b3fe236, "bpf_trace_run2" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x50f6a7f, "trace_event_buffer_commit" },
	{ 0xc4a96011, "rdma_create_ah" },
	{ 0x9564792f, "ib_init_ah_attr_from_wc" },
	{ 0x644986e3, "ib_find_cached_pkey" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf3fd7106, "ib_register_client" },
	{ 0x7672ed0d, "ib_unregister_mad_agent" },
	{ 0x55614b07, "ib_post_send_mad" },
	{ 0xca50c31d, "ib_create_send_mad" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xc1572bb0, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xebe2dcfb, "rdma_destroy_ah_attr" },
	{ 0x5d242015, "ib_set_client_data" },
	{ 0x2c934f79, "ib_get_cached_pkey" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x3039bdef, "rdma_put_gid_attr" },
	{ 0xd8fea321, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb187f0c7, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x3d46fed7, "bpf_trace_run1" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x706ee333, "_dev_warn" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x84d5aa18, "rdma_destroy_ah_user" },
	{ 0xf46506d4, "ib_free_send_mad" },
	{ 0x41a1b0ef, "ib_port_unregister_client_groups" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0xb9266858, "bpf_trace_run3" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x15ec6f11, "rdma_move_ah_attr" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x2f67e9c7, "trace_event_buffer_reserve" },
	{ 0x365349af, "rdma_find_gid" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe70e184a, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xbf38438b, "ib_free_recv_mad" },
	{ 0x1201e35b, "ib_register_mad_agent" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x23af857f, "kmalloc_trace_noprof" },
	{ 0xdf2839e3, "ib_modify_mad" },
	{ 0x1a8dab86, "ib_create_ah_from_wc" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xefc936df, "kmalloc_caches" },
	{ 0x2ba967f7, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "77A2E2E419D6724AFD4085A");
MODULE_INFO(rhelversion, "10.0");
