#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9428b2d5, "pin_user_pages_fast" },
	{ 0xb22052d9, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x6db8ac63, "pci_cfg_access_unlock" },
	{ 0x3e68093d, "unpin_user_pages_dirty_lock" },
	{ 0x17e6481a, "pci_request_selected_regions" },
	{ 0xe4630841, "pci_release_selected_regions" },
	{ 0xa3370c83, "kmalloc_large_noprof" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xfaf29137, "pci_enable_device_mem" },
	{ 0x3ab4e38d, "pci_iomap" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x1efad05f, "pci_alloc_irq_vectors" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x8bded20f, "zpci_load" },
	{ 0xa8acb80f, "kill_fasync" },
	{ 0xfb39baae, "dma_unmap_page_attrs" },
	{ 0xbef53f33, "scnprintf" },
	{ 0xc399bdfb, "__pci_register_driver" },
	{ 0xb8f54f23, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x569600a6, "pci_sriov_get_totalvfs" },
	{ 0xe1cfbb85, "seq_lseek" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x239a1205, "__dynamic_dev_dbg" },
	{ 0x668e9a4a, "pci_unregister_driver" },
	{ 0x8a191c58, "pci_cfg_access_lock" },
	{ 0x323ec9ea, "wake_up_process" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x304a6076, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x19e45cf1, "debugfs_create_x64" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9564698e, "pci_set_pcie_reset_state" },
	{ 0x9df4f6fa, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6beb656a, "pci_select_bars" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x16b8a787, "compat_ptr_ioctl" },
	{ 0x800473f, "__cond_resched" },
	{ 0x365aa78f, "cdev_add" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x3669db74, "_dev_err" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x6b23b2eb, "kill_pid" },
	{ 0xdd40bba7, "dma_alloc_attrs" },
	{ 0xa987595e, "debugfs_remove" },
	{ 0x733ae34, "fasync_helper" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x721fc35a, "class_unregister" },
	{ 0x6be0f745, "kthread_stop" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x6727b18f, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0x439318eb, "pci_restore_state" },
	{ 0x706ee333, "_dev_warn" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xa2506a23, "pci_set_master" },
	{ 0x6165af45, "debugfs_create_u32" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xf93f051a, "pci_reset_function" },
	{ 0xfdb03c23, "kthread_create_on_node" },
	{ 0x5fca8d53, "dma_set_coherent_mask" },
	{ 0x75730388, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x88c7cdf0, "device_create_with_groups" },
	{ 0x2f4068c2, "debugfs_create_file" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0xcdce6d76, "dma_free_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xf6cc4e87, "seq_write" },
	{ 0x3ab73165, "device_destroy" },
	{ 0x9b7220ad, "seq_printf" },
	{ 0x91a541e0, "pci_disable_sriov" },
	{ 0xc5cc38a6, "pci_disable_device" },
	{ 0xd0fb0bf8, "single_release" },
	{ 0x1173d03, "dma_set_mask" },
	{ 0x23af857f, "kmalloc_trace_noprof" },
	{ 0xdf59602c, "crc_itu_t" },
	{ 0xb067d218, "single_open" },
	{ 0x57a6c1cf, "debugfs_create_dir" },
	{ 0xbc7ab23f, "pci_free_irq_vectors" },
	{ 0x38ca8b8e, "pci_enable_sriov" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xce62d0d7, "put_pid" },
	{ 0xbc2ac5bc, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe8194b09, "cdev_init" },
	{ 0xefc936df, "kmalloc_caches" },
	{ 0xb5d3eba3, "cdev_del" },
	{ 0x2ba967f7, "module_layout" },
};

MODULE_INFO(depends, "crc-itu-t");

MODULE_ALIAS("pci:v00001014d0000044Bsv00001014sd0000035Fbc12sc00i00*");
MODULE_ALIAS("pci:v00001014d0000044Bsv00000000sd00000000bc12sc00i00*");
MODULE_ALIAS("pci:v00001014d00000000sv00000000sd00000000bc12sc00i00*");
MODULE_ALIAS("pci:v00001014d0000044Bsv00000000sd0000035Fbc12sc00i00*");
MODULE_ALIAS("pci:v00001014d00000000sv00000000sd0000035Fbc12sc00i00*");
MODULE_ALIAS("pci:v00001014d0000044Bsv00001014sd0000044Bbc12sc00i00*");

MODULE_INFO(srcversion, "71A5414DA5A4D7A80A993D8");
MODULE_INFO(rhelversion, "10.0");
