#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_roce_netdev, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_create, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_destroy, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_sendmsg, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_read, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_write, "", "");
KSYMTAB_FUNC(mlx5_fpga_get_sbu_caps, "", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0xff60b52c, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0x3c05fe25, "");
SYMBOL_CRC(mlx5_is_roce_on, 0x5f303b7f, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0x9d484b10, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0x38ee8cd3, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0xd6e48c91, "");
SYMBOL_CRC(mlx5_cmd_check, 0xe1deb6fa, "");
SYMBOL_CRC(mlx5_cmd_do, 0xdfbfd0a2, "");
SYMBOL_CRC(mlx5_cmd_exec, 0x949db089, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0xc3e5056a, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0xd3e11f09, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0x89bc0e3a, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0x508f4c0e, "");
SYMBOL_CRC(mlx5_debugfs_root, 0x6f8bc1a2, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0x84816fb5, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0x3636bae3, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0x785ce2fd, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0x97e08831, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0x1af7afbe, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0x2f66ec63, "");
SYMBOL_CRC(mlx5_eq_enable, 0x1409e957, "");
SYMBOL_CRC(mlx5_eq_disable, 0x816cc3b1, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0xeb441ca8, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0x4712bc3a, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0x7dfa4753, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0x52031c9a, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0x5e48f9a6, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0x17951c7b, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0xfd2ade5d, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0xaef871b9, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0xc15cfb4f, "");
SYMBOL_CRC(mlx5_get_uars_page, 0xcc1702d4, "");
SYMBOL_CRC(mlx5_put_uars_page, 0x4c9d3551, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0xb2b24d21, "");
SYMBOL_CRC(mlx5_free_bfreg, 0xe1bdf69d, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0xb4ec9782, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0x9dc89f11, "");
SYMBOL_CRC(mlx5_create_cq, 0x0140557a, "");
SYMBOL_CRC(mlx5_core_create_cq, 0x2cff84f0, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0x052f9828, "");
SYMBOL_CRC(mlx5_core_query_cq, 0xc6624b92, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0x03c6310e, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0xf718a488, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0xfb7bf2bd, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0x24e66242, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0x897d450e, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0x0a6da20b, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0xcc8ac469, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0xd445e8e4, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0xfd7fbde6, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0x8713cef6, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0xa09e6788, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0xb3f06f0a, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0x2ae238aa, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0x34b0bf53, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0xad6a19ff, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0xdc454137, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0xfb80eeec, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0xaf85ac70, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0x7dd65024, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0xc77ce64f, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0x1266b701, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0x0cb046f6, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0x6bcd760c, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0x9b391c7b, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0x5ef28e98, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0xfd751a77, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0x58ddabd6, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0x51ac691a, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0x760395fc, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0xeaf3743f, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0x437a49b5, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0x17834e16, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0x60e8bc2b, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0xc3cb7471, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0x96d1d92b, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0x079b673f, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0x844c8678, "");
SYMBOL_CRC(mlx5_core_create_psv, 0xadf620a6, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0xbd1b5a03, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0x17a914e7, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0x3d54c3e1, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0x06ec4dff, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0x027cef5e, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0x3be2373d, "");
SYMBOL_CRC(mlx5_core_create_rq, 0xfe62e490, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0x28c866ce, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0xa7c59a1d, "");
SYMBOL_CRC(mlx5_core_query_rq, 0xf097d7c5, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0xfbb2dd48, "");
SYMBOL_CRC(mlx5_core_query_sq, 0x23ed6c43, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0x56dd9a24, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0xb446c7e6, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0xc5a1f181, "");
SYMBOL_CRC(mlx5_core_create_tis, 0xb04e9b48, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0xbced2949, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0xc3a3fb50, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0xb4e0fcc6, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0xe66cb927, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0x9e88b26d, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0xb09bf8da, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0xc072d357, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0xe44a517b, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0x47fb6540, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0xb7ea771f, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0xa68a60ff, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0xc9f7bae1, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0xb239f169, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0xd9608f25, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0xdba0269c, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0x7c36102a, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0x0e8a7b9f, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0xd72c4b6d, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0xa1855be8, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0xf82832f1, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0xb4092215, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0xd8c0eca5, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0x5a685529, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0x2b7e96db, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0x5ab8f29c, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0x9e03d656, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0x9c841364, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0xa43c5d13, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0x3428181e, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0xd107b0fe, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0x78cb73c3, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0x2f24a68d, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0x24d95ecd, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0x3273125c, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0x71f054dd, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0x84c2bf22, "");
SYMBOL_CRC(mlx5_create_flow_table, 0x43764d59, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xc8737e65, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0xc29afe01, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0x7cb452c2, "");
SYMBOL_CRC(mlx5_create_flow_group, 0x7deb6ac6, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0xab31a999, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0x8b8879e3, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0x51371a99, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0x04641715, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0x9a2c40d2, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0x8fc3d85a, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0x00b05135, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0xa4b4d0ae, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0x6a7a35b0, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0x9e8ea923, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0x9e2efe9d, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0x6322a539, "");
SYMBOL_CRC(mlx5_fc_create, 0x4910427a, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0xc8628bcf, "");
SYMBOL_CRC(mlx5_fc_query, 0x6db0d161, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0xfdc8c020, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0x95ae4d30, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0xfe441170, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0x37feab38, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0xd6871867, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0x9bc77205, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0x390c4372, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0x81665ea1, "");
SYMBOL_CRC(mlx5_lag_is_active, 0x3ef9b217, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0x4c504ac9, "");
SYMBOL_CRC(mlx5_lag_is_master, 0xe5afdc70, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0xef18a5e2, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0xd6bfe4c6, "");
SYMBOL_CRC(mlx5_lag_get_roce_netdev, 0x18a663c7, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0x12c2c695, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0x01135824, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0xe15037b2, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0x93b70284, "");
SYMBOL_CRC(mlx5_notifier_register, 0x6902b51d, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0xac8ff7a6, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0x695786de, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0xf3881268, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0xfab57c7e, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0x33243fd3, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0x5da73642, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0x4703147e, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x73fc1d8e, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0x63f5a6fa, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x3475821f, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0xdae8aa4d, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0xb5ec5a13, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x9d6135dc, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x12135c1c, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0xaf335351, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x559ac38d, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0xbb07ebdf, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0x7bbc902c, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0xfc8e744e, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0xf52e1946, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0x4432b9e5, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x7261330b, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0x6cd5a182, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0x627192c2, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0xeb9a8bcf, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0xf06725b6, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0x45d0a6f4, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0xf88d57b1, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x45b52e00, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x33eb29aa, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x4d5f5c07, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0x4d62e046, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0xdc3b7d26, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0x7b359a09, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0x0cf520a8, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0x7c710d7a, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0xcb8d3a79, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0xf3e05eb8, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0xfbea8c09, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0x8592db83, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0x418ddf3d, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0xe8d89b42, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0xdbfba7cc, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0xdf4c5128, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0x6d993b42, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0x99517f78, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0xb825a249, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0xb242789e, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0x2198170a, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0xb2210994, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0xbdde652e, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0x39d3c095, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0x23632a2c, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0xb959c003, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0x7f00395d, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0x346090e5, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0x9ae648fe, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0x04e69863, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0x0f160158, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0x6bb45298, "");
SYMBOL_CRC(mlx5_macsec_del_roce_rule, 0x42b43a38, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_rule, 0x3d08fdcc, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_sa_rules, 0x49566105, "_gpl");
SYMBOL_CRC(mlx5_macsec_del_roce_sa_rules, 0x390b982c, "_gpl");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0x08673b31, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0x2e2eb838, "__inet_lookup_established" },
	{ 0xd7691ee3, "xsk_tx_completed" },
	{ 0x1c883fda, "napi_alloc_skb" },
	{ 0xd92c3bfa, "alloc_etherdev_mqs" },
	{ 0x3317a28, "netdev_lower_get_next" },
	{ 0xc3700e06, "secpath_set" },
	{ 0xcb82f15a, "flow_block_cb_lookup" },
	{ 0xb22052d9, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa0c1066b, "devl_rate_leaf_create" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x37586b81, "xp_alloc" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x23500a9, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9c9c117d, "flow_rule_match_enc_keyid" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xe563d623, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xa06e587a, "release_firmware" },
	{ 0x7a009568, "bpf_prog_put" },
	{ 0xcf34a571, "page_pool_get_stats" },
	{ 0xb1e8126c, "down_timeout" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8cf4464f, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6db8ac63, "pci_cfg_access_unlock" },
	{ 0xbb651140, "xp_dma_map" },
	{ 0xa7b250e1, "bpf_trace_run4" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x39b6bc19, "devlink_unregister" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0x22f6074f, "skb_copy_bits" },
	{ 0x86a9ae2f, "debugfs_attr_write" },
	{ 0x41d2ec36, "dma_pool_create" },
	{ 0x2588bfa3, "param_ops_uint" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0xc333a7f, "radix_tree_insert" },
	{ 0xe0ce0517, "pci_msix_vec_count" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x17db4dab, "pci_enable_device" },
	{ 0xda9db521, "skb_put" },
	{ 0x173a157a, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xa3370c83, "kmalloc_large_noprof" },
	{ 0xc863b5e6, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0x923c0b7f, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x9905e19f, "register_fib_notifier" },
	{ 0x328e4910, "auxiliary_device_init" },
	{ 0x55da68dd, "ip6_dst_hoplimit" },
	{ 0x36f7e94c, "netdev_update_features" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x6df31344, "flow_rule_match_enc_ip" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x5529d6fb, "trace_seq_printf" },
	{ 0x1efad05f, "pci_alloc_irq_vectors" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x4ff8c631, "netif_napi_add_weight" },
	{ 0x54aa3d09, "pci_enable_atomic_ops_to_root" },
	{ 0xf3656cc9, "seq_release" },
	{ 0x8281104b, "dev_add_pack" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x38493a8b, "idr_alloc_u32" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0xa6dad698, "trace_raw_output_prep" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0x41324360, "xsk_clear_tx_need_wakeup" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xa7d77d74, "udp4_hwcsum" },
	{ 0xe254f4f8, "xa_get_mark" },
	{ 0x305bca49, "devl_lock" },
	{ 0x73e83df0, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x47723a84, "ndo_dflt_bridge_getlink" },
	{ 0x8e3d378c, "unregister_netdev" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0xe7f9b84f, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x6549cecf, "__trace_trigger_soft_disabled" },
	{ 0xdef84f9f, "radix_tree_lookup" },
	{ 0xf06a6e0f, "flow_rule_match_tcp" },
	{ 0x1eeef37d, "__kmalloc_node_noprof" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x8bded20f, "zpci_load" },
	{ 0x3481b63e, "register_netdevice_notifier_dev_net" },
	{ 0xfb39baae, "dma_unmap_page_attrs" },
	{ 0xbd761ca3, "trace_event_printf" },
	{ 0xbc1b2d1f, "devlink_health_reporter_create" },
	{ 0xbef53f33, "scnprintf" },
	{ 0xb7fb86c1, "flow_rule_match_cvlan" },
	{ 0xa31d1dea, "__xa_erase" },
	{ 0xc399bdfb, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xd566933c, "up" },
	{ 0x67e2272e, "refcount_dec_and_mutex_lock" },
	{ 0xb2636cbc, "xdp_rxq_info_unused" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x69f94ae2, "pci_num_vf" },
	{ 0xe3645d13, "debugfs_create_atomic_t" },
	{ 0xa45c5d12, "flow_rule_match_eth_addrs" },
	{ 0x9a6e849b, "xfrm_state_check_expire" },
	{ 0xbcde49e7, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x197fe529, "ptp_clock_index" },
	{ 0x8d8a7dc9, "pci_request_regions" },
	{ 0xea360875, "___pskb_trim" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x43fcd84e, "trace_event_raw_init" },
	{ 0xb2f3529f, "flow_block_cb_free" },
	{ 0x7a5ea1a2, "devl_port_fn_devlink_set" },
	{ 0x236c8c64, "memcpy" },
	{ 0xcd4c140e, "xp_can_alloc" },
	{ 0xc958aa5a, "psample_sample_packet" },
	{ 0xfcb5bc8, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xfa7d2174, "devlink_alloc_ns" },
	{ 0x15e9db04, "devl_rate_leaf_destroy" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x569600a6, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xe6660616, "devlink_register" },
	{ 0x585386d6, "devlink_remote_reload_actions_performed" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0xe1cfbb85, "seq_lseek" },
	{ 0xaf95c77, "page_pool_destroy" },
	{ 0x11733960, "xdp_do_redirect" },
	{ 0xe7f52552, "devlink_free" },
	{ 0x7c0ead6b, "tls_get_record" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8b3fe236, "bpf_trace_run2" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0x43720430, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x8e64917d, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xbaecfa15, "devl_rate_nodes_destroy" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x35b603f8, "pci_irq_vector" },
	{ 0xb4baaf00, "flow_rule_match_ipv4_addrs" },
	{ 0xec012ab3, "ip_route_output_flow" },
	{ 0x3f2196cc, "__netif_napi_del" },
	{ 0xea066330, "rhashtable_walk_enter" },
	{ 0x1281003, "devlink_fmsg_binary_put" },
	{ 0xd32a771a, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x239a1205, "__dynamic_dev_dbg" },
	{ 0x22439ba2, "sched_numa_hop_mask" },
	{ 0x2613405c, "sock_gen_put" },
	{ 0x4b8f4e7a, "down_read_trylock" },
	{ 0x668e9a4a, "pci_unregister_driver" },
	{ 0xb928aa45, "netdev_rss_key_fill" },
	{ 0x909fda42, "blocking_notifier_chain_register" },
	{ 0xacb76e70, "netdev_err" },
	{ 0x8a191c58, "pci_cfg_access_lock" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc381d6bd, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xbf552304, "dev_driver_string" },
	{ 0x44f5d5a7, "netdev_port_same_parent_id" },
	{ 0x50f6a7f, "trace_event_buffer_commit" },
	{ 0x97c9b2fb, "dev_addr_mod" },
	{ 0xf9c59045, "xdp_rxq_info_reg_mem_model" },
	{ 0x3729912d, "kvmalloc_node_noprof" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xd9a2fe44, "ptp_find_pin" },
	{ 0xc7bf381e, "eth_type_trans" },
	{ 0x1e8dcfdf, "pci_read_config_dword" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x88aac38f, "request_firmware_direct" },
	{ 0x3ad155da, "flow_rule_match_icmp" },
	{ 0x983fa4bc, "auxiliary_driver_unregister" },
	{ 0x304a6076, "dma_map_page_attrs" },
	{ 0xeab5b11c, "trace_seq_putc" },
	{ 0x7a5b6462, "napi_complete_done" },
	{ 0xfc4a17d7, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xca17ac01, "_find_next_andnot_bit" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0xe27e92dc, "devlink_port_attrs_pci_vf_set" },
	{ 0xbaa24d8e, "priv_to_devlink" },
	{ 0x1eec1238, "blocking_notifier_call_chain" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf1c70aee, "vlan_dev_vlan_proto" },
	{ 0xc53ba24f, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x8ab973a3, "put_device" },
	{ 0x7f52071a, "net_dim" },
	{ 0x2c83a07, "__napi_schedule" },
	{ 0x55971917, "devlink_port_health_reporter_create" },
	{ 0x35cf2f18, "pcie_relaxed_ordering_enabled" },
	{ 0x4804071b, "xsk_set_rx_need_wakeup" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x5160968e, "devlink_port_attrs_pci_pf_set" },
	{ 0x880588e2, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x23f3df65, "netif_device_detach" },
	{ 0xbdc39498, "__free_pages" },
	{ 0x9df4f6fa, "_dev_info" },
	{ 0xf1c13247, "skb_vlan_pop" },
	{ 0xe2baac49, "napi_gro_receive" },
	{ 0x68db2401, "netif_device_attach" },
	{ 0x4ac016f5, "devl_resource_register" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xcc5033d2, "netdev_pick_tx" },
	{ 0xd342eda8, "flow_indr_dev_unregister" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x7db87c5e, "xp_raw_get_dma" },
	{ 0x7f0c17be, "eth_get_headlen" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xfd92d786, "xdp_rxq_info_is_reg" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x96c1af88, "flow_rule_match_enc_opts" },
	{ 0xc2c5802, "work_busy" },
	{ 0x71b81966, "devlink_net" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0x99a7eb36, "free_fib_info" },
	{ 0xeec37c55, "kmalloc_node_trace_noprof" },
	{ 0x72760b87, "devl_health_reporter_create" },
	{ 0x30af7dc9, "flow_block_cb_setup_simple" },
	{ 0x800473f, "__cond_resched" },
	{ 0xe239967b, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xc8a9712f, "flow_rule_match_basic" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xa674425b, "unregister_netdevice_notifier_dev_net" },
	{ 0x911682a2, "pci_find_capability" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xfeb079e7, "pci_iov_vf_id" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xed03b8b7, "debugfs_attr_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x2efc62b9, "flow_rule_match_ct" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x2ddb834b, "__xa_alloc" },
	{ 0x9e210fb9, "vlan_dev_real_dev" },
	{ 0xf1d992eb, "radix_tree_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x9fb5a9d, "__dma_sync_single_for_cpu" },
	{ 0x9f8545c4, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x3d77d05b, "__dev_get_by_index" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xc1572bb0, "perf_trace_run_bpf_submit" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0xc78dfefd, "__irq_apply_affinity_hint" },
	{ 0x6141b961, "devlink_port_unregister" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xb8f8c052, "dev_get_port_parent_id" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x3669db74, "_dev_err" },
	{ 0xb8d776b5, "init_net" },
	{ 0xd2510a63, "up_write" },
	{ 0xdba08974, "softnet_data" },
	{ 0x53d73513, "ipv6_stub" },
	{ 0xe913efcb, "simple_open" },
	{ 0xf874242f, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xd2e79416, "cpu_bit_bitmap" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0xf6060aef, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x60cd160c, "simple_attr_release" },
	{ 0xc9fcd3be, "ptp_clock_register" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x848182d1, "devl_nested_devlink_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xe8697c88, "xsk_tx_peek_desc" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xab064a7b, "__traceiter_xdp_exception" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0x2d7c795d, "netif_set_real_num_tx_queues" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x5dade52d, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x5b745a3d, "xa_load" },
	{ 0xb83c8de, "irq_get_irq_data" },
	{ 0x27b80e83, "dev_remove_pack" },
	{ 0x7c53cb3, "netif_set_real_num_rx_queues" },
	{ 0x81b433f2, "down" },
	{ 0x358715d, "dev_get_by_index" },
	{ 0x3ade97fa, "bpf_trace_run5" },
	{ 0x550c2044, "flow_indr_block_cb_alloc" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4043e867, "skb_store_bits" },
	{ 0xb10594bd, "devl_port_register_with_ops" },
	{ 0xd968ad96, "dev_get_by_index_rcu" },
	{ 0xa086309e, "kfree_skb_reason" },
	{ 0xde4d6db7, "netdev_printk" },
	{ 0x954f099c, "idr_preload" },
	{ 0xa94ee689, "mlxfw_firmware_flash" },
	{ 0x929e4028, "devlink_fmsg_u32_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x6bb03df4, "pcie_capability_clear_and_set_word_locked" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xa8cb732, "skb_push" },
	{ 0x7c6c37fd, "kmem_cache_free" },
	{ 0xdd40bba7, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xa987595e, "debugfs_remove" },
	{ 0xf0fd12a1, "pci_read_config_word" },
	{ 0xadea46a6, "napi_enable" },
	{ 0x85abc85f, "strncmp" },
	{ 0xe39bf01d, "xsk_clear_rx_need_wakeup" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x23fff604, "unregister_netdevice_notifier_net" },
	{ 0x8ad07c47, "xsk_uses_need_wakeup" },
	{ 0xbe3866fb, "register_netdev" },
	{ 0x4d4a530d, "unregister_fib_notifier" },
	{ 0xb187f0c7, "trace_event_reg" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0xa901a045, "devlink_port_attrs_pci_sf_set" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x2e54d383, "debugfs_create_u64" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x8aa6dec1, "free_netdev" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x8a9d1654, "debugfs_create_size_t" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x27d5284b, "devl_params_register" },
	{ 0x90bbbe7a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xff8cbf4b, "rhashtable_walk_start_check" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x26173638, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xfc6b9f17, "netif_set_xps_queue" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x20373f9d, "__ethtool_get_link_ksettings" },
	{ 0x4eedd6f3, "rhashtable_walk_stop" },
	{ 0x15d85a57, "down_trylock" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x49dbb0b9, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x439318eb, "pci_restore_state" },
	{ 0x3d46fed7, "bpf_trace_run1" },
	{ 0x117959ce, "__inet6_lookup_established" },
	{ 0x8470bc91, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xe2080186, "device_del" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x30696079, "rhashtable_free_and_destroy" },
	{ 0x46701f3a, "page_pool_create" },
	{ 0x5b762481, "skb_checksum" },
	{ 0xb5195143, "devl_param_driverinit_value_set" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x706ee333, "_dev_warn" },
	{ 0x2e31700a, "flow_rule_match_ports" },
	{ 0xa6832797, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0x5e23c34a, "xfrm_replay_seqhi" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x4b1f8c6d, "devl_resources_unregister" },
	{ 0x28bcc51f, "ptp_clock_event" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xb5ba7aee, "netif_schedule_queue" },
	{ 0x8bad4ff4, "pgprot_writecombine" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0xa2506a23, "pci_set_master" },
	{ 0x125873f7, "devl_trap_groups_register" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x6165af45, "debugfs_create_u32" },
	{ 0x2fd6a089, "kmem_cache_alloc_noprof" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x72bc4df9, "flow_rule_match_ipv6_addrs" },
	{ 0x4cc17c20, "netdev_set_tc_queue" },
	{ 0x65a7a23, "atomic_notifier_call_chain" },
	{ 0xeac71c93, "devl_params_unregister" },
	{ 0x9b6f0ce, "ptp_clock_unregister" },
	{ 0x4821f5d3, "__pskb_pull_tail" },
	{ 0xe630b719, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x8bf32599, "__netdev_alloc_skb" },
	{ 0x6108288f, "complete_all" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0x5eed7331, "devlink_trap_report" },
	{ 0x216b0943, "__neigh_event_send" },
	{ 0x31c87c88, "flow_block_cb_alloc" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0x868bde1d, "down_write_trylock" },
	{ 0x2c41473c, "dev_printk_emit" },
	{ 0x103bafd6, "down_read" },
	{ 0x75f4fcab, "devl_traps_register" },
	{ 0xbf8a3509, "devl_unlock" },
	{ 0xcf522dbe, "__dynamic_netdev_dbg" },
	{ 0xe798236d, "jiffies" },
	{ 0x5fca8d53, "dma_set_coherent_mask" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xc36dac4a, "__neigh_create" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x41759fb5, "flow_rule_match_enc_control" },
	{ 0xb9266858, "bpf_trace_run3" },
	{ 0x75730388, "seq_read" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x8574bb03, "trace_print_flags_seq" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x3fd63e50, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x99d472b1, "net_dim_get_rx_moderation" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x2f4068c2, "debugfs_create_file" },
	{ 0x3e06250d, "rps_may_expire_flow" },
	{ 0x9aa8eba6, "metadata_dst_free" },
	{ 0xe4a95266, "blocking_notifier_chain_unregister" },
	{ 0xeaadb466, "xsk_set_tx_need_wakeup" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x335c81b, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xed85f234, "netdev_reset_tc" },
	{ 0xa3b0a9eb, "neigh_destroy" },
	{ 0xcdce6d76, "dma_free_attrs" },
	{ 0x7c24e239, "rhltable_init_noprof" },
	{ 0xb1b1c93e, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x4dcd4340, "rhashtable_init_noprof" },
	{ 0x2f67e9c7, "trace_event_buffer_reserve" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x56d52037, "debugfs_create_x32" },
	{ 0x9aa48102, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x6d397572, "flow_rule_match_enc_ports" },
	{ 0xbc621623, "xdp_return_frame_bulk" },
	{ 0xbb9d0dc5, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfcc1592a, "pci_release_regions" },
	{ 0xe54bf996, "netif_queue_set_napi" },
	{ 0xda7961b8, "__dma_sync_single_for_device" },
	{ 0x989e1516, "xa_destroy" },
	{ 0x220190ec, "bpf_prog_add" },
	{ 0x7cfe368d, "net_dim_get_def_tx_moderation" },
	{ 0x42ae6d99, "xa_find" },
	{ 0xd37e4bd0, "devl_assert_locked" },
	{ 0xc2a89bbd, "pcie_print_link_status" },
	{ 0x20173e58, "xp_set_rxq_info" },
	{ 0xcf0be1f6, "flow_rule_match_vlan" },
	{ 0xbe54c9ca, "devl_port_unregister" },
	{ 0xbdf4fc53, "xdp_rxq_info_unreg" },
	{ 0xaf8fb32d, "page_pool_alloc_pages" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x42bb4cf7, "devl_param_driverinit_value_get" },
	{ 0x283dca74, "napi_build_skb" },
	{ 0x255c4062, "netdev_master_upper_dev_get_rcu" },
	{ 0xaa19dfdc, "__folio_put" },
	{ 0xcfbd31a2, "__xdp_rxq_info_reg" },
	{ 0x93d26f59, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xdf246812, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xb26fdb21, "bpf_prog_inc" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x906718f0, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2528795b, "netif_carrier_off" },
	{ 0x9b7220ad, "seq_printf" },
	{ 0x77577df6, "flow_rule_match_meta" },
	{ 0xf79faab3, "ip_send_check" },
	{ 0xe70e184a, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x46b1a7c4, "devlink_priv" },
	{ 0x8a106950, "devlink_port_register_with_ops" },
	{ 0x91a541e0, "pci_disable_sriov" },
	{ 0x2c00d627, "metadata_dst_alloc" },
	{ 0xe1b7ad8d, "dst_release" },
	{ 0xe88721d2, "netif_carrier_on" },
	{ 0x38ac45f1, "netdev_set_num_tc" },
	{ 0x3039df8e, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x458405f5, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x276f13db, "alloc_pages_noprof" },
	{ 0xc5cc38a6, "pci_disable_device" },
	{ 0x8ac3334b, "net_dim_get_def_rx_moderation" },
	{ 0x258d2f76, "net_dim_get_tx_moderation" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xcb513614, "xp_free" },
	{ 0xc045988c, "rhashtable_walk_next" },
	{ 0x2361aee7, "page_pool_update_nid" },
	{ 0xd0fb0bf8, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x1173d03, "dma_set_mask" },
	{ 0x9b2ab9e3, "__auxiliary_driver_register" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x97a1e9ba, "netif_set_tso_max_size" },
	{ 0x4af803ff, "vlan_dev_vlan_id" },
	{ 0xf30e29f6, "__skb_flow_dissect" },
	{ 0x5a47e35a, "pci_msix_alloc_irq_at" },
	{ 0xddcd038c, "seq_open" },
	{ 0x23af857f, "kmalloc_trace_noprof" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0x44de653a, "skb_add_rx_frag_netmem" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0xc3e6d977, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x8711c6df, "xp_raw_get_data" },
	{ 0xb968141a, "tls_validate_xmit_skb" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x70336943, "xa_set_mark" },
	{ 0x14ee89ad, "napi_schedule_prep" },
	{ 0xcc50d57f, "qdisc_reset" },
	{ 0x29a9a943, "napi_consume_skb" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0x61a8bbd5, "xp_alloc_batch" },
	{ 0xace721, "flow_rule_match_mpls" },
	{ 0x503abebe, "napi_disable" },
	{ 0x147377a6, "dev_kfree_skb_any_reason" },
	{ 0xdb464b16, "dcb_ieee_delapp" },
	{ 0xbf4a8f31, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xa1cc7b9f, "devl_port_health_reporter_create" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xa4670592, "debugfs_create_u8" },
	{ 0xb067d218, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x6417cf3, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0x57a6c1cf, "debugfs_create_dir" },
	{ 0x38762c8, "idr_get_next_ul" },
	{ 0x89a09837, "ioremap_prot" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x555b1b50, "skb_ext_add" },
	{ 0x169e4648, "pcie_bandwidth_available" },
	{ 0xbc7ab23f, "pci_free_irq_vectors" },
	{ 0x5a5e7ea3, "simple_read_from_buffer" },
	{ 0x93755c5f, "flow_rule_match_control" },
	{ 0x6cf54bb7, "flow_rule_match_ip" },
	{ 0x38ca8b8e, "pci_enable_sriov" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x28d0285c, "rhashtable_walk_exit" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x62936089, "dcb_ieee_setapp" },
	{ 0x69cfed2a, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x70a4d588, "xsk_tx_release" },
	{ 0x35631497, "devl_traps_unregister" },
	{ 0xc3c4f4a7, "pci_iov_get_pf_drvdata" },
	{ 0x8bf08c8b, "pci_write_config_dword" },
	{ 0xefc936df, "kmalloc_caches" },
	{ 0x98b541c8, "krealloc_noprof" },
	{ 0xec401935, "netdev_info" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xd295a844, "neigh_lookup" },
	{ 0x3de3151d, "kmem_cache_destroy" },
	{ 0x15e332ce, "page_pool_put_unrefed_page" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x2ba967f7, "module_layout" },
};

MODULE_INFO(depends, "psample,tls,dimlib,mlxfw");

MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");
MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth");

MODULE_INFO(srcversion, "2744ECB8523CB6D7C995710");
MODULE_INFO(rhelversion, "10.0");
