#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x470c1b90, "rtnl_link_register" },
	{ 0xd02e5e94, "unregister_netdevice_queue" },
	{ 0x7c53cb3, "netif_set_real_num_rx_queues" },
	{ 0x2d7c795d, "netif_set_real_num_tx_queues" },
	{ 0x2746234e, "ether_setup" },
	{ 0x97a1e9ba, "netif_set_tso_max_size" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xcfbd31a2, "__xdp_rxq_info_reg" },
	{ 0xf9c59045, "xdp_rxq_info_reg_mem_model" },
	{ 0x4ff8c631, "netif_napi_add_weight" },
	{ 0x3f2196cc, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbdf4fc53, "xdp_rxq_info_unreg" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0xcf34a571, "page_pool_get_stats" },
	{ 0x73c90389, "page_pool_ethtool_stats_get" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x53f8ced7, "page_pool_ethtool_stats_get_strings" },
	{ 0x488feb4e, "__skb_get_hash" },
	{ 0x20acdeb0, "rtnl_link_unregister" },
	{ 0x93d26f59, "xdp_set_features_flag" },
	{ 0xf6060aef, "xdp_return_frame" },
	{ 0xa086309e, "kfree_skb_reason" },
	{ 0x3729912d, "kvmalloc_node_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xd91dbd1f, "xdp_alloc_skb_bulk" },
	{ 0x4220312, "__xdp_build_skb_from_frame" },
	{ 0xe2baac49, "napi_gro_receive" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xe563d623, "vmemmap" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x503abebe, "napi_disable" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xaf95c77, "page_pool_destroy" },
	{ 0xe884db8e, "skb_clone_tx_timestamp" },
	{ 0xbdb4a7bd, "__dev_forward_skb" },
	{ 0x14ee89ad, "napi_schedule_prep" },
	{ 0x2c83a07, "__napi_schedule" },
	{ 0x4821f5d3, "__pskb_pull_tail" },
	{ 0xa216de46, "__netif_rx" },
	{ 0x9c56f072, "sock_wfree" },
	{ 0x173a157a, "skb_tstamp_tx" },
	{ 0x147377a6, "dev_kfree_skb_any_reason" },
	{ 0x46701f3a, "page_pool_create" },
	{ 0xadea46a6, "napi_enable" },
	{ 0xa62a62f2, "xdp_features_clear_redirect_target" },
	{ 0x78a95f13, "xdp_features_set_redirect_target" },
	{ 0x2528795b, "netif_carrier_off" },
	{ 0x8f4f5b83, "__tracepoint_xdp_bulk_tx" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xf90c8459, "__traceiter_xdp_bulk_tx" },
	{ 0xe7f9b84f, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xe88721d2, "netif_carrier_on" },
	{ 0x92997ed8, "_printk" },
	{ 0xfd92d786, "xdp_rxq_info_is_reg" },
	{ 0x7a009568, "bpf_prog_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x36f7e94c, "netdev_update_features" },
	{ 0xef5f7e8b, "rtnl_nla_parse_ifinfomsg" },
	{ 0x6f20e8a0, "nla_strscpy" },
	{ 0x98de1c15, "snprintf" },
	{ 0xe99886fa, "rtnl_link_get_net" },
	{ 0xc09e5dc4, "rtnl_create_link" },
	{ 0x3dc85a09, "netif_inherit_tso_max" },
	{ 0x85ec9cdb, "register_netdevice" },
	{ 0x74761d98, "rtnl_configure_link" },
	{ 0x19f3af41, "__put_net" },
	{ 0x8aa6dec1, "free_netdev" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x97c9b2fb, "dev_addr_mod" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x222d696, "skb_pp_cow_data" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x7dd383d0, "consume_skb" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x73e83df0, "bpf_warn_invalid_xdp_action" },
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xab064a7b, "__traceiter_xdp_exception" },
	{ 0x11733960, "xdp_do_redirect" },
	{ 0xc3e6d977, "xdp_master_redirect" },
	{ 0xc7bf381e, "eth_type_trans" },
	{ 0xf661b0b9, "xdp_return_buff" },
	{ 0x2551d63a, "netif_receive_skb" },
	{ 0x124ce3a3, "pskb_expand_head" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x7a5b6462, "napi_complete_done" },
	{ 0x6cd28d65, "passthru_features_check" },
	{ 0x9be4da49, "eth_mac_addr" },
	{ 0x26173638, "ethtool_op_get_link" },
	{ 0x7f1aa67e, "ethtool_op_get_ts_info" },
	{ 0x2ba967f7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3B563BCA29D7759FCA5C150");
MODULE_INFO(rhelversion, "10.0");
