#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0xe350ac75, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0x219755ed, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0x3bb0f520, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0x0150f594, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0x3dbd6803, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0xd27cf4b5, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0x081fcbd6, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0xa5267fd4, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0x5bb5a3e9, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0x0a423b7c, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x204d9a87, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0x06b0a91f, "_gpl");
SYMBOL_CRC(nvme_init_request, 0x5883127e, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0x33b99607, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0xf2371982, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0x71fa6fb3, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0xf369715c, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0xa7d1370c, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0xd6b800c4, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0x142cd04a, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0xfcbccf3d, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0xa39fc7bc, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0x46a6670b, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x0c5dd072, "_gpl");
SYMBOL_CRC(nvme_set_features, 0xb5e7af4c, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x1bb7a984, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0x86c9fb91, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0xa5ca95ac, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0x5d7203b0, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0x03bba3e4, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0x24afda5e, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0x35ff4aec, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0xa24f5da3, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0x2f5f110d, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0xe6ca777d, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0x253c085a, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0x0abf1ec9, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0x338e1e03, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0xd6b60e8f, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0xd25d7e9e, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0xc35adac5, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0xde6345cf, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0xa1d888a0, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x133d7745, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0xf2dbaf9b, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0xcf46e61e, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0x3a4ffebb, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0x6ab59d37, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0xdb42285b, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0x98cf9f04, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0x7a48f376, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0x82349c36, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0x612f7041, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0xa659d74c, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x27fcbedb, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0x1543130e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x11abc494, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0x5ebcd024, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0x13388506, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0x19278be1, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0xd518494f, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0x07ee217a, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0x67e10a87, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x563ad165, "set_capacity_and_notify" },
	{ 0xed94a2dc, "bio_associate_blkg" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x4efb7741, "bio_integrity_unmap_free_user" },
	{ 0x825a1d92, "set_disk_ro" },
	{ 0xad7fdb0b, "__blk_alloc_disk" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xf1190f36, "blk_integrity_register" },
	{ 0x8c167da3, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xe563d623, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb2d2772d, "bio_integrity_map_user" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0x6ceae80a, "device_remove_file_self" },
	{ 0x2588bfa3, "param_ops_uint" },
	{ 0x7843a2d9, "param_ops_ulong" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xe29783dd, "dev_set_name" },
	{ 0x2790d59a, "ext_pi_type3_crc64" },
	{ 0xa41ab635, "bio_split_to_limits" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x5529d6fb, "trace_seq_printf" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xb362f578, "device_add_disk" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa6dad698, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x1092a2e2, "blk_mq_tagset_wait_completed_request" },
	{ 0xba701440, "cdev_device_del" },
	{ 0x6549cecf, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xd9b5a0df, "queue_limits_stack_bdev" },
	{ 0xbd761ca3, "trace_event_printf" },
	{ 0xbe560380, "nvme_auth_transform_key" },
	{ 0xa797b501, "device_initialize" },
	{ 0x67b85fea, "blk_mq_unquiesce_queue" },
	{ 0xb93408c9, "t10_pi_type1_crc" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x644c3467, "blk_mq_quiesce_queue" },
	{ 0x43fcd84e, "trace_event_raw_init" },
	{ 0x65b5d2e7, "ext_pi_type1_crc64" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x88b15da0, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xd955b604, "__traceiter_block_bio_remap" },
	{ 0x60410f0f, "__traceiter_block_bio_complete" },
	{ 0x2098c3fc, "blk_queue_write_cache" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8b3fe236, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x9fc5a629, "disk_uevent" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x8ee234ec, "synchronize_srcu" },
	{ 0xe539a618, "param_ops_byte" },
	{ 0xd32a771a, "kmem_cache_create" },
	{ 0xc8280c99, "get_device" },
	{ 0xd0cda957, "blk_mq_end_request" },
	{ 0x34c0d961, "__blk_mq_alloc_disk" },
	{ 0x239a1205, "__dynamic_dev_dbg" },
	{ 0x6f79375c, "mempool_free" },
	{ 0x49672828, "node_states" },
	{ 0xa142074f, "blk_integrity_unregister" },
	{ 0x9d7830, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa12a0ef2, "blk_mq_alloc_tag_set" },
	{ 0xdcd7479f, "blk_rq_is_poll" },
	{ 0x50f6a7f, "trace_event_buffer_commit" },
	{ 0x3729912d, "kvmalloc_node_noprof" },
	{ 0xab152da5, "crypto_destroy_tfm" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xeab5b11c, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0xb0ac4f9c, "put_disk" },
	{ 0x36aa0b0, "crypto_alloc_kpp" },
	{ 0xdad0ad64, "cdev_device_add" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x5f81d00c, "nvme_auth_free_key" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xff9e0f08, "blk_execute_rq" },
	{ 0x8ab973a3, "put_device" },
	{ 0xc2397af5, "blk_mq_unquiesce_tagset" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xbc86811b, "blk_queue_flag_set" },
	{ 0x10fa453a, "blk_mq_free_request" },
	{ 0xbdc39498, "__free_pages" },
	{ 0x9df4f6fa, "_dev_info" },
	{ 0xb54ce769, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0x536705af, "module_put" },
	{ 0x581c712d, "sysfs_create_link" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x3a7e476c, "nvme_auth_gen_pubkey" },
	{ 0xeec37c55, "kmalloc_node_trace_noprof" },
	{ 0x16b8a787, "compat_ptr_ioctl" },
	{ 0xf4fca9c2, "t10_pi_type3_crc" },
	{ 0x7c2019f, "blk_rq_poll" },
	{ 0x967427d7, "blk_mq_quiesce_tagset" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x766beed8, "mempool_alloc_noprof" },
	{ 0xbf22d107, "key_put" },
	{ 0xfb2635c0, "kobject_uevent_env" },
	{ 0xf8c821a5, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x79fe7a0, "init_srcu_struct" },
	{ 0xc1572bb0, "perf_trace_run_bpf_submit" },
	{ 0x3669db74, "_dev_err" },
	{ 0xfec6f3f8, "blk_revalidate_disk_zones" },
	{ 0x2a6a15c7, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe191fba7, "device_add" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0x9eabc0e, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xa3be2c91, "sysfs_remove_link" },
	{ 0x82f76b7f, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xb1cdea85, "__srcu_read_lock" },
	{ 0x73deb96d, "set_capacity" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xdda81855, "submit_bio_noacct" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xdb500090, "blk_sync_queue" },
	{ 0x790bd1b2, "bdev_start_io_acct" },
	{ 0x85abc85f, "strncmp" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0xb187f0c7, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xfa8b1183, "blk_mq_alloc_request_hctx" },
	{ 0x938a7042, "__io_uring_cmd_do_in_task" },
	{ 0x9a5c9edd, "blk_mq_alloc_request" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xa2ab2d72, "crypto_shash_update" },
	{ 0x721fc35a, "class_unregister" },
	{ 0xbcfafbc9, "blk_mq_free_tag_set" },
	{ 0xee60a45, "del_gendisk" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x610399cd, "cleanup_srcu_struct" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x3898cd06, "nvme_auth_augmented_challenge" },
	{ 0x5ff3b94f, "blk_set_stacking_limits" },
	{ 0x504775fe, "blk_mq_freeze_queue_wait_timeout" },
	{ 0xc97f58e5, "blk_put_queue" },
	{ 0x3d46fed7, "bpf_trace_run1" },
	{ 0xe2080186, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0x706ee333, "_dev_warn" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x95b6ef26, "blk_mq_wait_quiesce_done" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb0e1e9cc, "io_uring_cmd_done" },
	{ 0x95e9a88f, "blk_rq_unmap_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x9d509dca, "init_opal_dev" },
	{ 0xe798236d, "jiffies" },
	{ 0x489a0a5, "nvme_auth_generate_key" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0xb9266858, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x57315aa5, "blk_mq_complete_request" },
	{ 0x3c783cd4, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x2f67e9c7, "trace_event_buffer_reserve" },
	{ 0x131cbdbf, "crypto_shash_final" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xefe4fe55, "mempool_create_node_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x51fa5983, "param_ops_bool" },
	{ 0x32be050b, "blk_mq_destroy_queue" },
	{ 0x989e1516, "xa_destroy" },
	{ 0x3a537201, "blk_freeze_queue_start" },
	{ 0x42ae6d99, "xa_find" },
	{ 0xd2e1ec75, "disk_live" },
	{ 0xc62ab2bc, "mempool_destroy" },
	{ 0x15240ccf, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2ccb56cb, "__tracepoint_block_bio_complete" },
	{ 0xe70e184a, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x626886bd, "__srcu_read_unlock" },
	{ 0xe00db6dc, "__tracepoint_block_bio_remap" },
	{ 0x7ef1bd56, "blk_mq_unfreeze_queue" },
	{ 0x276f13db, "alloc_pages_noprof" },
	{ 0x8044759b, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0x8eb277ad, "queue_limits_commit_update" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x976b1aff, "blkdev_compat_ptr_ioctl" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xe2d0c6de, "blk_rq_map_user_iov" },
	{ 0x23af857f, "kmalloc_trace_noprof" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0x1aeed78f, "blk_mark_disk_dead" },
	{ 0xf0317011, "io_uring_cmd_import_fixed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd63179e9, "crypto_alloc_shash" },
	{ 0x8687c864, "blk_mq_freeze_queue_wait" },
	{ 0x944f02a3, "nvme_auth_gen_privkey" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x477dfb73, "blk_mq_requeue_request" },
	{ 0xbc2ac5bc, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe8194b09, "cdev_init" },
	{ 0xbdd98be6, "bdev_end_io_acct" },
	{ 0xefc936df, "kmalloc_caches" },
	{ 0xb2a481b5, "blk_steal_bios" },
	{ 0x3de3151d, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x2ba967f7, "module_layout" },
};

MODULE_INFO(depends, "t10-pi,nvme-auth");


MODULE_INFO(srcversion, "30091A2AE67C67252369BA9");
MODULE_INFO(rhelversion, "10.0");
