#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fcoe_ctlr_init, "", "");
KSYMTAB_FUNC(fcoe_ctlr_destroy, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_up, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_down, "", "");
KSYMTAB_FUNC(fcoe_ctlr_els_send, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv_flogi, "", "");
KSYMTAB_FUNC(fcoe_wwn_from_mac, "_gpl", "");
KSYMTAB_FUNC(fcoe_libfc_config, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_get_selected, "", "");
KSYMTAB_FUNC(fcoe_ctlr_set_fip_mode, "", "");
KSYMTAB_FUNC(fcoe_link_speed_update, "_gpl", "");
KSYMTAB_FUNC(__fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_wwn_to_str, "_gpl", "");
KSYMTAB_FUNC(fcoe_validate_vport_create, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_wwn, "_gpl", "");
KSYMTAB_FUNC(fcoe_fc_crc, "_gpl", "");
KSYMTAB_FUNC(fcoe_start_io, "_gpl", "");
KSYMTAB_FUNC(fcoe_clean_pending_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_check_wait_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_queue_timer, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_paged_crc_eof, "_gpl", "");
KSYMTAB_FUNC(fcoe_transport_attach, "", "");
KSYMTAB_FUNC(fcoe_transport_detach, "", "");
KSYMTAB_FUNC(fcoe_ctlr_device_add, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_add, "_gpl", "");

SYMBOL_CRC(fcoe_ctlr_init, 0x4d88812e, "");
SYMBOL_CRC(fcoe_ctlr_destroy, 0x9156f89e, "");
SYMBOL_CRC(fcoe_ctlr_link_up, 0xe41f272c, "");
SYMBOL_CRC(fcoe_ctlr_link_down, 0xefaff9a6, "");
SYMBOL_CRC(fcoe_ctlr_els_send, 0x63bd964c, "");
SYMBOL_CRC(fcoe_ctlr_recv, 0xcbb6170a, "");
SYMBOL_CRC(fcoe_ctlr_recv_flogi, 0xdb7b34f7, "");
SYMBOL_CRC(fcoe_wwn_from_mac, 0xc3f30cc0, "_gpl");
SYMBOL_CRC(fcoe_libfc_config, 0xc2006b8a, "_gpl");
SYMBOL_CRC(fcoe_fcf_get_selected, 0x5fb1d90d, "");
SYMBOL_CRC(fcoe_ctlr_set_fip_mode, 0x8f52d00d, "");
SYMBOL_CRC(fcoe_link_speed_update, 0xea84a554, "_gpl");
SYMBOL_CRC(__fcoe_get_lesb, 0x68dbd85b, "_gpl");
SYMBOL_CRC(fcoe_get_lesb, 0x3b5fbb24, "_gpl");
SYMBOL_CRC(fcoe_ctlr_get_lesb, 0x80e9921c, "_gpl");
SYMBOL_CRC(fcoe_wwn_to_str, 0xf167cb7a, "_gpl");
SYMBOL_CRC(fcoe_validate_vport_create, 0xc96c3aa1, "_gpl");
SYMBOL_CRC(fcoe_get_wwn, 0x08046b97, "_gpl");
SYMBOL_CRC(fcoe_fc_crc, 0xd13ae081, "_gpl");
SYMBOL_CRC(fcoe_start_io, 0x3cf2ac52, "_gpl");
SYMBOL_CRC(fcoe_clean_pending_queue, 0xb2a362c4, "_gpl");
SYMBOL_CRC(fcoe_check_wait_queue, 0x497d6e70, "_gpl");
SYMBOL_CRC(fcoe_queue_timer, 0xbac58840, "_gpl");
SYMBOL_CRC(fcoe_get_paged_crc_eof, 0x33785a57, "_gpl");
SYMBOL_CRC(fcoe_transport_attach, 0x19412115, "");
SYMBOL_CRC(fcoe_transport_detach, 0x07f6407e, "");
SYMBOL_CRC(fcoe_ctlr_device_add, 0xb8cb6793, "_gpl");
SYMBOL_CRC(fcoe_ctlr_device_delete, 0xd43c4ca2, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_delete, 0x309ccb02, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_add, 0x3c4dd95c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xadee10e0, "fc_rport_lookup" },
	{ 0x5a79c184, "dev_get_stats" },
	{ 0xe563d623, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2588bfa3, "param_ops_uint" },
	{ 0xda9db521, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xe29783dd, "dev_set_name" },
	{ 0x7dd383d0, "consume_skb" },
	{ 0x1d39b77d, "fc_lport_init" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d50ed7e, "fc_rport_destroy" },
	{ 0xccabfb49, "device_unregister" },
	{ 0x34c2c460, "skb_dequeue" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x37a0cba, "kfree" },
	{ 0x88043ef2, "fc_rport_logoff" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x6ef390c6, "fc_disc_init" },
	{ 0x4b6e4a6c, "fc_rport_login" },
	{ 0x77489077, "skb_queue_purge_reason" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xd1420830, "fc_linkdown" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x8ab973a3, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xbe33f1c0, "skb_queue_tail" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xed35f967, "fc_lport_reset" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x5af0717e, "bus_unregister" },
	{ 0xb8d776b5, "init_net" },
	{ 0xf874242f, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa086309e, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xa8cb732, "skb_push" },
	{ 0xd4a93892, "fc_lport_set_local_id" },
	{ 0x9b2fe232, "fc_exch_recv" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x20373f9d, "__ethtool_get_link_ksettings" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xdc62fe37, "device_register" },
	{ 0xd96de8cb, "__sysfs_match_string" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x4d1a047e, "fc_vport_id_lookup" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xf9b7185b, "fc_elsct_init" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xd436491a, "fc_disc_config" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x4821f5d3, "__pskb_pull_tail" },
	{ 0xbcc7eb64, "fc_fcp_init" },
	{ 0x8bf32599, "__netdev_alloc_skb" },
	{ 0xd7f88ba5, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x335c81b, "__dev_queue_xmit" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xaa19dfdc, "__folio_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4ed23230, "dev_get_by_name" },
	{ 0xb50566a, "skb_clone" },
	{ 0xe1e23b09, "fc_seq_els_rsp_send" },
	{ 0x276f13db, "alloc_pages_noprof" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xb0ddd5a1, "fc_rport_flush_queue" },
	{ 0x23af857f, "kmalloc_trace_noprof" },
	{ 0x2bace220, "param_ops_int" },
	{ 0x1d816192, "fc_rport_create" },
	{ 0x7e8e62f6, "_dev_printk" },
	{ 0xefc936df, "kmalloc_caches" },
	{ 0x27cd2da8, "fc_exch_init" },
	{ 0x9858f364, "get_random_u8" },
	{  0xf8bd3, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x73b6710a, "fc_linkup" },
	{ 0x2ba967f7, "module_layout" },
};

MODULE_INFO(depends, "libfc");


MODULE_INFO(srcversion, "C7F606BD37BCD2006CC51AC");
MODULE_INFO(rhelversion, "10.0");
