#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fc_get_event_number, "", "");
KSYMTAB_FUNC(fc_host_post_fc_event, "", "");
KSYMTAB_FUNC(fc_host_post_event, "", "");
KSYMTAB_FUNC(fc_host_post_vendor_event, "", "");
KSYMTAB_FUNC(fc_find_rport_by_wwpn, "", "");
KSYMTAB_FUNC(fc_host_fpin_rcv, "", "");
KSYMTAB_FUNC(scsi_is_fc_rport, "", "");
KSYMTAB_FUNC(fc_eh_timed_out, "", "");
KSYMTAB_FUNC(fc_attach_transport, "", "");
KSYMTAB_FUNC(fc_release_transport, "", "");
KSYMTAB_FUNC(fc_remove_host, "", "");
KSYMTAB_FUNC(fc_remote_port_add, "", "");
KSYMTAB_FUNC(fc_remote_port_delete, "", "");
KSYMTAB_FUNC(fc_remote_port_rolechg, "", "");
KSYMTAB_FUNC(fc_block_rport, "", "");
KSYMTAB_FUNC(fc_block_scsi_eh, "", "");
KSYMTAB_FUNC(fc_eh_should_retry_cmd, "_gpl", "");
KSYMTAB_FUNC(fc_vport_create, "", "");
KSYMTAB_FUNC(fc_vport_terminate, "", "");

SYMBOL_CRC(fc_get_event_number, 0x375f8bbd, "");
SYMBOL_CRC(fc_host_post_fc_event, 0x780d6f36, "");
SYMBOL_CRC(fc_host_post_event, 0x5a0c0b5c, "");
SYMBOL_CRC(fc_host_post_vendor_event, 0x1ae9cf50, "");
SYMBOL_CRC(fc_find_rport_by_wwpn, 0x5ed36f29, "");
SYMBOL_CRC(fc_host_fpin_rcv, 0xd139d978, "");
SYMBOL_CRC(scsi_is_fc_rport, 0xbb57e749, "");
SYMBOL_CRC(fc_eh_timed_out, 0x7242dcc8, "");
SYMBOL_CRC(fc_attach_transport, 0x091ee380, "");
SYMBOL_CRC(fc_release_transport, 0x716fd7fb, "");
SYMBOL_CRC(fc_remove_host, 0xad716bae, "");
SYMBOL_CRC(fc_remote_port_add, 0x3eef461d, "");
SYMBOL_CRC(fc_remote_port_delete, 0x5f68abd3, "");
SYMBOL_CRC(fc_remote_port_rolechg, 0x6cfd2a29, "");
SYMBOL_CRC(fc_block_rport, 0x2d8dd3df, "");
SYMBOL_CRC(fc_block_scsi_eh, 0x00939fa5, "");
SYMBOL_CRC(fc_eh_should_retry_cmd, 0x2b2b4329, "_gpl");
SYMBOL_CRC(fc_vport_create, 0xe0ec3991, "");
SYMBOL_CRC(fc_vport_terminate, 0x3cc90a12, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x8ab973a3, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x98de1c15, "snprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x85abc85f, "strncmp" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x92997ed8, "_printk" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xc7307d37, "transport_class_register" },
	{ 0xa3283422, "transport_class_unregister" },
	{ 0x6f923372, "scsi_nl_sock" },
	{ 0x8808964c, "__alloc_skb" },
	{ 0x3b4d1f93, "__nlmsg_put" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x2389a405, "netlink_broadcast_filtered" },
	{ 0x236c8c64, "memcpy" },
	{ 0xa086309e, "kfree_skb_reason" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x449fe3d6, "scsi_init_limits" },
	{ 0x2faa53e7, "bsg_setup_queue" },
	{ 0xc221b4f4, "blk_queue_rq_timeout" },
	{ 0x3669db74, "_dev_err" },
	{ 0x4c6a79fd, "scsi_is_host_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb3f24140, "attribute_container_unregister" },
	{ 0xe60d5bf8, "scsi_scan_target" },
	{ 0xefc936df, "kmalloc_caches" },
	{ 0x23af857f, "kmalloc_trace_noprof" },
	{ 0x2b63d16b, "attribute_container_register" },
	{ 0xe72cb516, "bsg_remove_queue" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb3c3fd82, "scsi_host_put" },
	{ 0xa3be2c91, "sysfs_remove_link" },
	{ 0x742ff39a, "transport_remove_device" },
	{ 0xe2080186, "device_del" },
	{ 0xf3767efe, "transport_destroy_device" },
	{ 0x7e8e62f6, "_dev_printk" },
	{ 0x3638d29d, "scsi_target_unblock" },
	{ 0x57d2c834, "scsi_remove_target" },
	{ 0xec837eba, "scsi_flush_work" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xb06947d6, "scsi_is_target_device" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xb83eeea5, "scsi_host_get" },
	{ 0xa797b501, "device_initialize" },
	{ 0xc8280c99, "get_device" },
	{ 0xe29783dd, "dev_set_name" },
	{ 0x3e7259cb, "transport_setup_device" },
	{ 0xe191fba7, "device_add" },
	{ 0x405de1c0, "transport_add_device" },
	{ 0xc0541786, "transport_configure_device" },
	{ 0x581c712d, "sysfs_create_link" },
	{ 0xf9a482f9, "msleep" },
	{ 0x848a7b9e, "scsi_block_targets" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x49ec36f9, "scsi_queue_work" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x99e689bf, "bsg_job_get" },
	{ 0xd0cda957, "blk_mq_end_request" },
	{ 0x5ad43bc1, "bsg_job_put" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x9b6aa250, "bsg_job_done" },
	{ 0x5d29ecfe, "blk_mq_run_hw_queues" },
	{ 0x2588bfa3, "param_ops_uint" },
	{ 0x2ba967f7, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C88E82FAC2DBB56396828B8");
MODULE_INFO(rhelversion, "10.0");
