#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4a6d89d0, "ceph_con_keepalive" },
	{ 0x2e3c0852, "super_setup_bdi_name" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0x6535f71a, "folio_invalidate" },
	{ 0x5c0e3021, "ceph_auth_get_authorizer" },
	{ 0x1f7db1ad, "__page_file_index" },
	{ 0x3524c308, "ceph_find_or_create_string" },
	{ 0x2da6e67f, "filemap_fdatawrite" },
	{ 0x45e8b450, "mnt_idmap_get" },
	{ 0x7a4255ea, "generic_fillattr" },
	{ 0x5f434977, "vfs_fsync_range" },
	{ 0x1ead20f4, "setattr_prepare" },
	{ 0xa1e01d33, "ceph_print_client_options" },
	{ 0x2c4d8613, "simple_attr_write" },
	{ 0xe14c82f2, "file_check_and_advance_wb_err" },
	{ 0x90c2fbdc, "ceph_msg_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x97b1d173, "filemap_get_folios_tag" },
	{ 0xe563d623, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xdfc091f9, "ceph_entity_type_name" },
	{ 0x192e9910, "d_instantiate" },
	{ 0x9d0c0bc2, "_copy_to_iter" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8cf4464f, "simple_attr_open" },
	{ 0x9ca95932, "ceph_create_snap_context" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbf0499a5, "clear_inode" },
	{ 0x1970a44f, "ceph_create_client" },
	{ 0xebf09cd0, "vfs_inode_has_locks" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x5f7e532b, "osd_req_op_extent_osd_data" },
	{ 0x93adcce, "__percpu_counter_init_many" },
	{ 0xc11b4e81, "discard_new_inode" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x985fff20, "fs_param_is_string" },
	{ 0x634c1241, "__folio_batch_release" },
	{ 0x145a5bba, "folio_unlock" },
	{ 0x7452429f, "inode_insert5" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xfb077c03, "ceph_monc_want_map" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xba6ec546, "new_inode" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1fd7647a, "ceph_con_open" },
	{ 0xc9f3ff2f, "forget_all_cached_acls" },
	{ 0xefaabac4, "init_special_inode" },
	{ 0x28bbc057, "unregister_filesystem" },
	{ 0xee66e6f6, "param_get_bool" },
	{ 0xa376f5df, "ceph_pagelist_alloc" },
	{ 0x292057f9, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x82cf003, "ceph_osdc_put_request" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x190b044d, "generic_error_remove_folio" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xad703657, "ceph_auth_destroy_authorizer" },
	{ 0x48a05cf1, "iov_iter_advance" },
	{ 0x35f3170, "d_make_root" },
	{ 0xe6fcb9c0, "d_same_name" },
	{ 0x6f64309b, "read_cache_folio" },
	{ 0xec857c07, "invalidate_mapping_pages" },
	{ 0x12cb07cc, "sync_filesystem" },
	{ 0x86fca7e4, "ceph_put_snap_context" },
	{ 0x7fbdb980, "ceph_parse_param" },
	{ 0xdc7118ef, "ceph_client_gid" },
	{ 0xd07f543, "get_anon_bdev" },
	{ 0x876fa4e2, "percpu_counter_destroy_many" },
	{ 0xd7efb49b, "sget_fc" },
	{ 0xc8b2fed6, "d_splice_alias" },
	{ 0x67218b53, "iov_iter_get_pages2" },
	{ 0x17f70fb0, "current_time" },
	{ 0x6cf17511, "osd_req_op_extent_update" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x2f05636a, "from_vfsuid" },
	{ 0xc4c5f55d, "ihold" },
	{ 0x381df767, "d_find_any_alias" },
	{ 0x63e52ef9, "inode_dio_wait" },
	{ 0xfdae3da, "generic_permission" },
	{ 0x67d75146, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x5c9eb311, "invalidate_inode_pages2_range" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xa823c154, "posix_lock_file" },
	{ 0x86d1b609, "finish_open" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x7ffd9779, "iput" },
	{ 0xe1cfbb85, "seq_lseek" },
	{ 0x92319fd8, "fs_param_is_enum" },
	{ 0x4a386285, "fs_param_is_s32" },
	{ 0xf30c923c, "wrap_directory_iterator" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xb4bf7bc1, "logfc" },
	{ 0xcd19dbb1, "ceph_monc_blocklist_add" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x30eeb8c7, "iter_file_splice_write" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xc9054649, "d_lookup" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x9adc9c67, "vsnprintf" },
	{ 0xe080d82e, "filemap_alloc_folio_noprof" },
	{ 0xb1f12211, "ceph_msg_new" },
	{ 0x6835db9e, "register_filesystem" },
	{ 0xd32a771a, "kmem_cache_create" },
	{ 0x2a82aa93, "ceph_auth_invalidate_authorizer" },
	{ 0x80b30b99, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x6a069b2a, "ceph_monc_got_map" },
	{ 0xbf071f8d, "osd_req_op_extent_dup_last" },
	{ 0x6f79375c, "mempool_free" },
	{ 0x4b8f4e7a, "down_read_trylock" },
	{ 0xf16e127b, "ceph_osdc_alloc_messages" },
	{ 0xf346d103, "clear_page_dirty_for_io" },
	{ 0xb7b2ebc9, "ceph_msg_data_add_pagelist" },
	{ 0xb28a0493, "netfs_readahead" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x94e2093, "simple_get_link" },
	{ 0xb54676fa, "ceph_msg_type_name" },
	{ 0xe036415a, "shrink_dcache_parent" },
	{ 0x7e596a5, "__put_cred" },
	{ 0xf68c8bc8, "d_prune_aliases" },
	{ 0x40528b36, "ceph_reset_client_addr" },
	{ 0x5bb5f46b, "splice_file_range" },
	{ 0x3729912d, "kvmalloc_node_noprof" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x987d3968, "ceph_alloc_options" },
	{ 0x39c8bb20, "locks_lock_inode_wait" },
	{ 0x6f533d59, "fs_param_is_u32" },
	{ 0xb80c473a, "inode_newsize_ok" },
	{ 0x3b644f41, "netfs_invalidate_folio" },
	{ 0x9c849d94, "d_drop" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xbdecc959, "ceph_msg_new2" },
	{ 0x8b16140c, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x6a1acca, "ceph_release_page_vector" },
	{ 0xa14712a2, "posix_acl_from_xattr" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x79a5602c, "ceph_check_fsid" },
	{ 0x50603ce3, "ceph_decode_entity_addrvec" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x8375650f, "ceph_pagelist_reserve" },
	{ 0x6856bf3c, "__ceph_alloc_sparse_ext_map" },
	{ 0x7790a91c, "ceph_pagelist_append" },
	{ 0x97d9b877, "ceph_auth_verify_authorizer_reply" },
	{ 0x71992fb1, "make_kuid" },
	{ 0xe6e4a54d, "truncate_inode_pages_final" },
	{ 0x443d1c3e, "d_alloc" },
	{ 0x81b6e154, "__filemap_set_wb_err" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xc0a17ebb, "generic_perform_write" },
	{ 0x40d607eb, "simple_nosetlease" },
	{ 0xbdc39498, "__free_pages" },
	{ 0x8aec20f1, "folio_mark_dirty" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0xcab25d94, "ceph_pg_pool_name_by_id" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x2753437d, "ceph_osdc_wait_request" },
	{ 0x94dcb89b, "inode_init_once" },
	{ 0x8549ba79, "folio_wait_private_2" },
	{ 0x85025067, "file_write_and_wait_range" },
	{ 0x2135aaf8, "ceph_osdc_new_request" },
	{ 0x16b8a787, "compat_ptr_ioctl" },
	{ 0x7b7a5ae6, "copy_splice_read" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xbc98cee2, "ceph_oloc_copy" },
	{ 0x5ea31004, "arch_spin_trylock_retry" },
	{ 0x842ec2ad, "ilookup5" },
	{ 0xe0122b41, "seq_escape_mem" },
	{ 0x507b25d0, "kstrndup" },
	{ 0x766beed8, "mempool_alloc_noprof" },
	{ 0xa11f2952, "osd_req_op_copy_from_init" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xac7158ca, "posix_acl_create" },
	{ 0x5203de74, "release_pages" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0x6ccc34dd, "sort" },
	{ 0x8c175746, "generic_file_read_iter" },
	{ 0x235b70e5, "unlock_page" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x6c63c83c, "set_cached_acl" },
	{ 0x60cd160c, "simple_attr_release" },
	{ 0xb13ef50e, "ceph_auth_handle_svc_reply_more" },
	{ 0xc926cebe, "netfs_write_begin" },
	{ 0x2087719e, "ceph_oid_copy" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x3b96e8d1, "truncate_pagecache" },
	{ 0x55dbc51d, "init_uts_ns" },
	{ 0x7ddc26af, "wait_on_page_writeback" },
	{ 0xe776b7e, "ceph_pg_pool_flags" },
	{ 0xeee4b172, "mnt_idmap_put" },
	{ 0xb4e615, "posix_acl_equiv_mode" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x9fefa3cb, "ceph_calc_file_object_mapping" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xff2fdefc, "file_update_time" },
	{ 0x2e345824, "set_nlink" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xd4eb7735, "ceph_decode_entity_addr" },
	{ 0x46424541, "kmem_cache_alloc_lru_noprof" },
	{ 0x7c6c37fd, "kmem_cache_free" },
	{ 0xa987595e, "debugfs_remove" },
	{ 0xa58b7e99, "ceph_pg_to_acting_primary" },
	{ 0x85abc85f, "strncmp" },
	{ 0x75ee81ea, "ceph_auth_add_authorizer_challenge" },
	{ 0xdf0a489b, "d_move" },
	{ 0x2c8b805b, "netfs_release_folio" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x56bc972b, "seq_putc" },
	{ 0x6814e8f6, "from_kgid" },
	{ 0xed86965f, "ceph_con_send" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x58ee37dd, "ceph_osdc_abort_requests" },
	{ 0x379a4777, "ceph_zero_page_vector_range" },
	{ 0x96205cef, "param_set_bool" },
	{ 0x1c41c362, "iov_iter_kvec" },
	{ 0x6f53043d, "wait_for_completion_interruptible" },
	{ 0x55a486bb, "file_remove_privs" },
	{ 0x594b6eb7, "ceph_osdc_start_request" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x16d6f438, "from_vfsgid" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x7e9536e3, "ceph_compare_options" },
	{ 0x2b0f75eb, "d_obtain_alias" },
	{ 0x8967176e, "file_modified" },
	{ 0xb170086e, "posix_acl_chmod" },
	{ 0x1dfc5500, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xe57a8fd3, "ceph_parse_mon_ips" },
	{ 0x7807b9ec, "ceph_client_addr" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x932cba74, "ceph_msg_dump" },
	{ 0xe85108a4, "ceph_buffer_new" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xffbf5a41, "wait_for_completion_killable" },
	{ 0xa170fb42, "finish_no_open" },
	{ 0x6bda5931, "d_obtain_root" },
	{ 0x782ed190, "ceph_put_page_vector" },
	{ 0x4861b0dd, "from_kuid" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x85916bde, "ceph_osdc_alloc_request" },
	{ 0x5d9f0411, "osd_req_op_init" },
	{ 0x4affd6c2, "ceph_parse_fsid" },
	{ 0x705eeecd, "ceph_osdc_update_epoch_barrier" },
	{ 0xbe3879aa, "ceph_get_snap_context" },
	{ 0xe64eab14, "security_inode_invalidate_secctx" },
	{ 0x755d3504, "osd_req_op_extent_osd_iter" },
	{ 0x4e83a7ca, "iov_iter_bvec" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fd6a089, "kmem_cache_alloc_noprof" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb5d3119d, "_atomic_dec_and_lock" },
	{ 0xb8028006, "ceph_object_locator_to_pg" },
	{ 0x39ad3d64, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xd36923eb, "__ceph_auth_get_authorizer" },
	{ 0x6108288f, "complete_all" },
	{ 0x9c8bbe74, "d_delete" },
	{ 0x128f7b6e, "simple_attr_read" },
	{ 0xd0b2bf51, "end_page_writeback" },
	{ 0x868bde1d, "down_write_trylock" },
	{ 0x52e131f0, "ceph_pagelist_release" },
	{ 0x103bafd6, "down_read" },
	{ 0xd17b9bc8, "osd_req_op_extent_osd_data_pages" },
	{ 0xe798236d, "jiffies" },
	{ 0xe92186f6, "iov_iter_get_pages_alloc2" },
	{ 0xff1090dd, "ceph_osdc_sync" },
	{ 0x1df7f0bb, "set_page_dirty" },
	{ 0x56237e06, "copy_page_from_iter" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0xb771068, "ceph_destroy_client" },
	{ 0x75730388, "seq_read" },
	{ 0x93c5ee3, "redirty_page_for_writepage" },
	{ 0x7141834d, "noop_direct_IO" },
	{ 0x2f4068c2, "debugfs_create_file" },
	{ 0x62c40d12, "igrab" },
	{ 0x1f8a9aa5, "netfs_read_folio" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7ad9cbd9, "__ceph_open_session" },
	{ 0xbce02c60, "set_page_writeback" },
	{ 0xa573b9ad, "d_add" },
	{ 0x33fa677f, "rename_lock" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xefe4fe55, "mempool_create_node_noprof" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3096be16, "names_cachep" },
	{ 0x51fa5983, "param_ops_bool" },
	{ 0xe995eee3, "__percpu_counter_sum" },
	{ 0x38dfbdae, "init_user_ns" },
	{ 0x989e1516, "xa_destroy" },
	{ 0xa503dd04, "wait_for_completion_killable_timeout" },
	{ 0x42ae6d99, "xa_find" },
	{ 0x91596d16, "d_find_alias" },
	{ 0x67d4b1b2, "invalidate_inode_pages2" },
	{ 0x5fd2298e, "strnstr" },
	{ 0x5ebd079b, "inode_set_ctime_current" },
	{ 0xb1e1d674, "bdi_dev_name" },
	{ 0xf6cc4e87, "seq_write" },
	{ 0xaa19dfdc, "__folio_put" },
	{ 0xc62ab2bc, "mempool_destroy" },
	{ 0xe9f774e7, "ceph_alloc_page_vector" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x1652b878, "set_anon_super_fc" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9b7220ad, "seq_printf" },
	{ 0x32e14da7, "ceph_monc_do_statfs" },
	{ 0xf849ab44, "dput" },
	{ 0xb0c365c3, "ceph_monc_validate_auth" },
	{ 0x6c7fead5, "iov_iter_zero" },
	{ 0x92a16af7, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x84dd6f5a, "generic_delete_inode" },
	{ 0xa0b3e85b, "deactivate_locked_super" },
	{ 0x2423f079, "__percpu_down_read" },
	{ 0x48ad1a19, "ceph_auth_handle_svc_reply_done" },
	{ 0x3746c25c, "ceph_oloc_destroy" },
	{ 0x3bff56cd, "set_page_dirty_lock" },
	{ 0x90d46c1c, "tag_pages_for_writeback" },
	{ 0xbf172074, "posix_acl_update_mode" },
	{ 0x392e8961, "ceph_auth_handle_bad_authorizer" },
	{ 0xf379547, "ceph_monc_renew_subs" },
	{ 0xdb664727, "truncate_inode_pages_range" },
	{ 0x4e9e6a05, "downgrade_write" },
	{ 0xee120c03, "ceph_release_string" },
	{ 0x549cba26, "__folio_lock" },
	{ 0x2d967835, "filemap_dirty_folio" },
	{ 0xc6988413, "pagecache_get_page" },
	{ 0xef189206, "ceph_msg_put" },
	{ 0xa213a218, "osd_req_op_extent_osd_data_bvecs" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x57baf885, "ceph_str_hash" },
	{ 0xf61bbcb2, "rcuwait_wake_up" },
	{ 0xd0fb0bf8, "single_release" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x7ecdfe7f, "iov_iter_xarray" },
	{ 0x5a5b7d32, "__fs_parse" },
	{ 0xcbf70bdf, "filemap_splice_read" },
	{ 0xbdf2e1e6, "posix_acl_to_xattr" },
	{ 0x6a7a38a0, "ceph_pr_addr" },
	{ 0xb72c162e, "ceph_buffer_release" },
	{ 0x23af857f, "kmalloc_trace_noprof" },
	{ 0x22995250, "dget_parent" },
	{ 0xd507b78f, "kill_anon_super" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0x5d5c6dcb, "iget5_locked" },
	{ 0x47709e42, "free_anon_bdev" },
	{ 0xb125e4ca, "security_dentry_init_security" },
	{ 0x697c8dcf, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xa5cac918, "osd_req_op_raw_data_in_pages" },
	{ 0x9c7e10a3, "netfs_subreq_terminated" },
	{ 0xdebd1feb, "ceph_con_init" },
	{ 0xd8779a1b, "generic_write_checks" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb067d218, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x4a284ea5, "filemap_fault" },
	{ 0x65d182bf, "d_invalidate" },
	{ 0x57a6c1cf, "debugfs_create_dir" },
	{ 0x127c79b9, "__mark_inode_dirty" },
	{ 0xca770df8, "generic_file_llseek" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xd4d736db, "ceph_destroy_options" },
	{ 0x4444662, "lockref_get_not_dead" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xedfecee7, "ceph_osdc_clear_abort_err" },
	{ 0x136c9b9, "iov_iter_npages" },
	{ 0xe4d8d2, "drop_nlink" },
	{ 0xefc936df, "kmalloc_caches" },
	{ 0x98b541c8, "krealloc_noprof" },
	{ 0xdf6ef4a1, "ceph_oid_printf" },
	{ 0x3de3151d, "kmem_cache_destroy" },
	{ 0x51b2a570, "ceph_con_close" },
	{ 0xafb8a407, "ceph_msgr_flush" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6a5fa363, "sigprocmask" },
	{ 0xa0f7e4df, "forget_cached_acl" },
	{ 0x9f6b82f1, "osd_req_op_xattr_init" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x2ba967f7, "module_layout" },
};

MODULE_INFO(depends, "libceph,netfs");


MODULE_INFO(srcversion, "67B579ED4D75E5C7D15B5D1");
MODULE_INFO(rhelversion, "10.0");
