#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(l2tp_nl_register_ops, "_gpl", "");
KSYMTAB_FUNC(l2tp_nl_unregister_ops, "_gpl", "");

SYMBOL_CRC(l2tp_nl_register_ops, 0xa412f234, "_gpl");
SYMBOL_CRC(l2tp_nl_unregister_ops, 0x337f2432, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2b9da7a4, "genl_lock" },
	{ 0x2d140a58, "genl_unlock" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x92997ed8, "_printk" },
	{ 0x50ef1ef7, "genl_register_family" },
	{ 0xd582d1e0, "l2tp_session_get_by_ifname" },
	{ 0xf98fc802, "l2tp_tunnel_get" },
	{ 0x4fc8a45e, "l2tp_tunnel_get_session" },
	{ 0xb46e944, "l2tp_tunnel_dec_refcount" },
	{ 0x8808964c, "__alloc_skb" },
	{ 0x274b9bbe, "genlmsg_put" },
	{ 0x57b9a4e5, "netlink_unicast" },
	{ 0xa086309e, "kfree_skb_reason" },
	{ 0x7e0cdcc, "genl_unregister_family" },
	{ 0xe1e4ba81, "nla_put" },
	{ 0x45bdb4f6, "nla_put_64bit" },
	{ 0xd7f88ba5, "skb_trim" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xbb9d62f4, "l2tp_tunnel_get_nth" },
	{ 0x817f4337, "l2tp_session_get_nth" },
	{ 0x4b2df6e7, "l2tp_session_dec_refcount" },
	{ 0xd02d0cb3, "genlmsg_multicast_allns" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x72ae6af5, "l2tp_tunnel_create" },
	{ 0xeab0a6fe, "l2tp_tunnel_inc_refcount" },
	{ 0x1ba56334, "l2tp_tunnel_register" },
	{ 0x37a0cba, "kfree" },
	{ 0x4d84ed82, "l2tp_tunnel_delete" },
	{ 0x8a23eca8, "l2tp_session_set_header_len" },
	{ 0x2ba967f7, "module_layout" },
};

MODULE_INFO(depends, "l2tp_core");


MODULE_INFO(srcversion, "7BACB992F3E22DFA2E2F1F0");
MODULE_INFO(rhelversion, "10.0");
