#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rxrpc_debug_id, "", "");
KSYMTAB_FUNC(rxrpc_kernel_lookup_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_begin_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_shutdown_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_check_life, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_epoch, "", "");
KSYMTAB_FUNC(rxrpc_kernel_new_call_notification, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_max_life, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_min_security_level, "", "");
KSYMTAB_FUNC(rxrpc_kernel_charge_accept, "", "");
KSYMTAB_DATA(key_type_rxrpc, "", "");
KSYMTAB_FUNC(rxrpc_get_server_data_key, "", "");
KSYMTAB_FUNC(rxrpc_get_null_key, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_call_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_srtt, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_srx, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_addr, "", "");
KSYMTAB_FUNC(rxrpc_kernel_recv_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_send_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_abort_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_tx_length, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_security_keyring, "", "");

SYMBOL_CRC(rxrpc_debug_id, 0x31bf3ca3, "");
SYMBOL_CRC(rxrpc_kernel_lookup_peer, 0xc792612e, "");
SYMBOL_CRC(rxrpc_kernel_get_peer, 0xcb9b773d, "");
SYMBOL_CRC(rxrpc_kernel_put_peer, 0xf33857f6, "");
SYMBOL_CRC(rxrpc_kernel_begin_call, 0x81e72855, "");
SYMBOL_CRC(rxrpc_kernel_shutdown_call, 0x6e8225a1, "");
SYMBOL_CRC(rxrpc_kernel_put_call, 0x1c596bf9, "");
SYMBOL_CRC(rxrpc_kernel_check_life, 0x0e69e3d9, "");
SYMBOL_CRC(rxrpc_kernel_get_epoch, 0x412c3e49, "");
SYMBOL_CRC(rxrpc_kernel_new_call_notification, 0x16e91d39, "");
SYMBOL_CRC(rxrpc_kernel_set_max_life, 0xad062e2f, "");
SYMBOL_CRC(rxrpc_sock_set_min_security_level, 0x28b87ae6, "");
SYMBOL_CRC(rxrpc_kernel_charge_accept, 0x1ec1ee12, "");
SYMBOL_CRC(key_type_rxrpc, 0xc3ec2710, "");
SYMBOL_CRC(rxrpc_get_server_data_key, 0x24bfc93f, "");
SYMBOL_CRC(rxrpc_get_null_key, 0x482cedef, "");
SYMBOL_CRC(rxrpc_kernel_get_call_peer, 0x5a359fd8, "");
SYMBOL_CRC(rxrpc_kernel_get_srtt, 0x606069ba, "");
SYMBOL_CRC(rxrpc_kernel_remote_srx, 0x56a3ea58, "");
SYMBOL_CRC(rxrpc_kernel_remote_addr, 0x04f479c8, "");
SYMBOL_CRC(rxrpc_kernel_recv_data, 0x841ea7ed, "");
SYMBOL_CRC(rxrpc_kernel_send_data, 0x4a3cbcad, "");
SYMBOL_CRC(rxrpc_kernel_abort_call, 0x3fbbbbda, "");
SYMBOL_CRC(rxrpc_kernel_set_tx_length, 0x81d31605, "");
SYMBOL_CRC(rxrpc_sock_set_security_keyring, 0x13ee0091, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc04b3ae4, "crypto_skcipher_encrypt" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe563d623, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb856976c, "key_alloc" },
	{ 0xa7b250e1, "bpf_trace_run4" },
	{ 0x22f6074f, "skb_copy_bits" },
	{ 0x3761d215, "idr_find" },
	{ 0x2588bfa3, "param_ops_uint" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x7dd383d0, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa6dad698, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x8ca21312, "udp_sock_create4" },
	{ 0x2ed8fe28, "bpf_trace_run6" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x34c2c460, "skb_dequeue" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x6549cecf, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xbd761ca3, "trace_event_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0xc06fa7e0, "add_wait_queue_exclusive" },
	{ 0x10bd0f25, "set_user_nice" },
	{ 0xd566933c, "up" },
	{ 0xf24fc832, "udpv6_sendmsg" },
	{ 0xfd6be192, "unregister_key_type" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x43fcd84e, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7e2ffec7, "key_type_keyring" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8b3fe236, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x82cb40bc, "crypto_skcipher_setkey" },
	{ 0xec012ab3, "ip_route_output_flow" },
	{ 0xd32a771a, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x679d131c, "key_instantiate_and_link" },
	{ 0x479aac1, "seq_list_next_rcu" },
	{ 0xc84a0a7e, "seq_hlist_start_rcu" },
	{ 0x48c8fe9a, "register_key_type" },
	{ 0x17489a7d, "proc_create_net_data" },
	{ 0x74ca083a, "put_cmsg" },
	{ 0x323ec9ea, "wake_up_process" },
	{ 0x50f6a7f, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x17af0eac, "register_net_sysctl_sz" },
	{ 0xab152da5, "crypto_destroy_tfm" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xbe6b354f, "proto_unregister" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xed9a2f7e, "ipv6_icmp_error" },
	{ 0x48f72da9, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x73019842, "crypto_skcipher_decrypt" },
	{ 0x71992fb1, "make_kuid" },
	{ 0xccd11d84, "ip6_route_output_flags" },
	{ 0xe5a56ecd, "idr_get_next" },
	{ 0x36157e65, "proto_register" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xbe33f1c0, "skb_queue_tail" },
	{ 0x45f17fb6, "__var_waitqueue" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xc2c5802, "work_busy" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x9e4867b3, "__sock_recv_timestamp" },
	{ 0xbf22d107, "key_put" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xc1572bb0, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xb8d776b5, "init_net" },
	{ 0xf874242f, "skb_pull" },
	{ 0x9461998f, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0x4dea1053, "memchr" },
	{ 0xa119e69d, "sock_enable_timestamps" },
	{ 0x449964fb, "ip_sock_set_mtu_discover" },
	{ 0x81b433f2, "down" },
	{ 0x3ade97fa, "bpf_trace_run5" },
	{ 0x5db27de9, "sk_free" },
	{ 0x17074c51, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xa086309e, "kfree_skb_reason" },
	{ 0x1deec609, "kernel_sock_shutdown" },
	{ 0x49bd58d5, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x7c6c37fd, "kmem_cache_free" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x62faef05, "proc_doulongvec_minmax" },
	{ 0xb187f0c7, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1c41c362, "iov_iter_kvec" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xd6456cbd, "unregister_pernet_device" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x11ff4fc3, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6be0f745, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0x624e207f, "skb_copy_datagram_iter" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x4e89ce10, "idr_alloc_cyclic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xcc164849, "udp_sendmsg" },
	{ 0x11089ac7, "_ctype" },
	{ 0x1a164331, "sk_alloc" },
	{ 0x3d46fed7, "bpf_trace_run1" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0xdbd20df3, "sock_no_socketpair" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x509ac233, "key_revoke" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fd6a089, "kmem_cache_alloc_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6080b48d, "sock_no_mmap" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb5d3119d, "_atomic_dec_and_lock" },
	{ 0x76cea77, "key_validate" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x64247ddc, "kmalloc_node_track_caller_noprof" },
	{ 0x8831b99a, "crypto_alloc_sync_skcipher" },
	{ 0x1386555b, "setup_udp_tunnel_sock" },
	{ 0xdd72b749, "proc_remove" },
	{ 0x2f7ae633, "udp_sock_create6" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0xe798236d, "jiffies" },
	{ 0xfdb03c23, "kthread_create_on_node" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xb9266858, "bpf_trace_run3" },
	{ 0x57968b8c, "__page_frag_cache_drain" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x2f67e9c7, "trace_event_buffer_reserve" },
	{ 0xdfe98635, "keyring_search" },
	{ 0xcef9bd63, "ip_sock_set_recverr" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x90abb542, "prepare_to_wait_exclusive" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x73aaf8b7, "request_key_tag" },
	{ 0x1348e9f4, "generic_key_instantiate" },
	{ 0xf6cc4e87, "seq_write" },
	{ 0xde1371ce, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x4c3a54ef, "sock_no_getname" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9b7220ad, "seq_printf" },
	{ 0x165d15e2, "down_interruptible" },
	{ 0xdec20b96, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xb50566a, "skb_clone" },
	{ 0xe1b7ad8d, "dst_release" },
	{ 0x3de0f056, "_copy_from_iter" },
	{ 0xf856bfad, "sock_release" },
	{ 0x7adc0fbf, "rb_replace_node_rcu" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0xb8039527, "sock_no_ioctl" },
	{ 0x894ceeaa, "_proc_mkdir" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xcdf64c0c, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x23af857f, "kmalloc_trace_noprof" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xffc1a2ab, "__seq_puts" },
	{ 0x4ce0f44d, "__page_frag_alloc_align" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xbf4a8f31, "bpf_trace_run7" },
	{ 0x883781eb, "ip_icmp_error" },
	{ 0xf224b002, "iov_iter_revert" },
	{ 0x50944630, "seq_list_start_head_rcu" },
	{ 0x66b968f6, "__s390_indirect_jump_r2" },
	{ 0xf9038a6f, "kernel_sendmsg" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xf140d5f7, "skb_to_sgvec" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x77cc4b3d, "register_pernet_device" },
	{ 0x5bf1be4b, "skb_condense" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2b4a3fa8, "sock_init_data" },
	{ 0xefc936df, "kmalloc_caches" },
	{ 0x3de3151d, "kmem_cache_destroy" },
	{ 0x1ec1b212, "release_sock" },
	{ 0x70fb5b0b, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcf384946, "proc_create_net_single_write" },
	{ 0xd4d343fe, "crypto_alloc_skcipher" },
	{ 0x11021b1c, "proc_dointvec_minmax" },
	{ 0x2ba967f7, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "96EB6082115906520B6426D");
MODULE_INFO(rhelversion, "10.0");
